clear;clf
kappa = 6.67*10^(-11);
melectron = 9.11*10^(-31);
mproton = 1836*melectron;
r = 10^(-10);
q = 1.602*10^(-19);
eps = (1/(36*%pi))*10^(-9);
fgravity = kappa*(melectron*mproton/r^2)
felectrostatic = q^2/(4*%pi*eps*r^2)
disp(felectrostatic/fgravity);