sigma=.1;
E0=1;
omega=2*%pi*1000;
mu0=4*%pi*1e-7; ;
epsilon0=10^-9/(36*%pi);
mu=mu0*1;
epsilon=epsilon0*1;
alpha=real(sqrt(%i*omega*mu/(sigma+%i*omega*epsilon)));//prop constant
disp(alpha)
beeta =imag(sqrt(%i*omega*mu/(sigma+%i*omega*epsilon)));
disp(beeta)
x=0:%pi/10:20*%pi;
x1=zeros(201,201);
z=0:.005:1;// up to 2*pi 0:.005:1;
z1=x1;
for i=1:201
x1(i,:)=x;
z1(i,:)=z;
end
if alpha~=%inf
y=E0*exp(-sigma*z1).*cos(x1);
end

set(gca(),"auto_clear","off");
surf(x1/(2*%pi),0*z1,y,'edgecol','blu')
surf(x1/(2*%pi),y/(alpha+%eps),0*z1,'edgecol','red')
set(gca(),"grid",[1 1 1])
xsegs([0;10.2],[0;0],[0;0])
e = gce();
e.arrow_size = 8;