clc
clear all
n=100;
d2r = %pi/180; r2d=1/d2r;
tht=d2r*(0:5:360)';
phi=d2r*(0:fix(180/n):180);
hh=phi*r2d;

A=50;
r=A*sin(tht).^2;
rho=r.*sin(tht);
x=rho*cos(phi);
y=rho*sin(phi);
[nR,nC]=size(x);
u=ones(1,nC);
z=r.*cos(tht)*u;

plot3d(x,y,z);   
a=get("hdl");
a.surface_mode="off";
a.mark_style=0;
//a.mark_size=0.5;
r1=5; 
theta = (-n:2:n)/n*%pi;
phi = (-n:2:n)'/n*%pi/2;
cosphi = cos(phi); cosphi(1) = 0; cosphi(n+1) = 0;
sintheta = sin(theta); sintheta(1) = 0; sintheta(n+1) = 0;
x2 = r1*cosphi*cos(theta);
y2 = r1*cosphi*sintheta;
z2 = r1*sin(phi)*ones(1,n+1);
surf(x2,y2,z2) 

for i=1:40
xsegs([x((i+1)*fix(size(x,1)/40),1) x(i*fix(size(x,1)/40),1)],[y((i+1)*fix(size(y,1)/40),1) y(i*fix(size(y,1)/40),1)],[z((i+1)*fix(size(z,1)/40),1) z(i*fix(size(z,1)/40),1)],5)
e=gce();
e.arrow_size=50;
xsegs([x((i+1)*fix(size(x,1)/40),fix(size(x,2)/2)) x((i)*fix(size(x,1)/40),fix(size(x,2)/2))],[y((i+1)*fix(size(y,1)/40),fix(size(y,2)/2)) y((i)*fix(size(y,1)/40),fix(size(y,2)/2))],[z((i+1)*fix(size(z,1)/40),fix(size(z,2)/2)) z((i)*fix(size(z,1)/40),fix(size(z,2)/2))],5)
e=gce();
e.arrow_size=50;
xsegs([x((i+1)*fix(size(x,1)/40),fix(size(x,2))) x((i)*fix(size(x,1)/40),fix(size(x,2)))],[y((i+1)*fix(size(y,1)/40),fix(size(y,2))) y((i)*fix(size(y,1)/40),fix(size(y,2)))],[z((i+1)*fix(size(z,1)/40),fix(size(z,2))) z((i)*fix(size(z,1)/40),fix(size(z,2)))],5)
e=gce();
e.arrow_size=50;
end