S = smat([0.48 -149 5.189 89 0.073 43 0.49 -39]); // form S-matrix
[K,mu,D,B1,B2,C1,C2,D1,D2] = sparam(S);           //stability parameters Fig. 13.4.1, we may write I1 , I2 in terms of the generator voltage VG and obtain:
[cL,rL] = sgcirc(S,'l');                          //stability circles
[cG,rG] = sgcirc(S,'s');
smith;
smithcir(cL, rL, 1.1);
smithcir(cG, rG, 1.1);
