//HELP FILE ADDED
function [r,A,B] = bkwrec(a,b)
if argn(2)==0, help bkwrec; return; end
M = length(a)-1;
A = zeros(M+1,M+1);
B = zeros(M+1,M+1);
A(:,1) = a(:);
B(:,1) = b(:);
for i=1:M,
    r = B(1,i);
    A(1:M+1-i, i+1) = (A(1:M+1-i, i) - r * B(1:M+1-i, i)) / (1 - r^2);
    B(1:M+1-i, i+1) = (-r * A(2:M+2-i, i) + B(2:M+2-i, i)) / (1 - r^2);
end
r = B(1,:);
endfunction
