//HELP FILE ADDED
function dphi = bwidth(d, ph0, dpsi)
if argn(2)==0, help bwidth; return; end
ph0 = ph0 * %pi / 180;
if abs(sin(ph0)) < %eps, 
   dphi = sqrt(2*dpsi / (%pi*d));                  // endfire 
else
   dphi = dpsi / (2 * %pi * d * sin(ph0));         // broadside
end
dphi = dphi * 180 / %pi;
endfunction
