//help file added
function X = dtft(x, w)
if argn(2)==0, help dtft; return; end
x = x(:).';                     //make x a row w/o conjugation
w = w(:)';                      // make w a row             
L = length(x);
z = exp(-%i.*w);                  // unit-circle points         
X = 0;                         // evaluate z-transform using H\"orner's rule
for n = L-1:-1:0,
    X = x(n+1) + z .* X;       
end
endfunction
