//HELP FILE ADDED
function [Z1,Z2,a1,b1] = dualband(Z0, ZL, r)
if argn(2)==0, help dualband; return; end
delta1 = %pi/(r+1);
t =tan(delta1);
Z1 = sqrt(Z0/2/t^2 * (ZL-Z0 + sqrt((ZL-Z0)^2 + 4*t^4*ZL*Z0)));
Z2 = ZL*Z0/Z1;
rho1 = z2g(Z1,Z0); 
rho2 = z2g(Z2,Z1);
a1 = [1, 2*rho2*rho1, rho1^2];
b1 = rho1*[1, -2*cos(2*delta1), 1];
endfunction
