//HELP FILE ADDED
function [f1L,f1R,f2L,f2R] = dualbw(ZL,Z0,r,GB)
if argn(2)==0, help dualbw; return; end
delta1 = %pi/(r+1);
GL = (ZL-Z0)/(ZL+Z0); 
a = sqrt(GB^2/(1-GB^2) * (1-GL^2)/GL^2);
f1L = (r+1)/%pi * asin(sin(delta1) * sqrt(1-a));
f1R = (r+1)/%pi * asin(sin(delta1) * sqrt(1+a));
f2L = r + 1 - f1R;
f2R = r + 1 - f1L;
endfunction
