function [Em,E]=electric_field(xyzc,xyz)
//find E field due to a distribution
//sadiku page 107 eg
//xyzc=[3 2 -1 10^-3;-1 -1 4 -2*10^-3];
//xyz=[0 3 1];
//sadiku page 107 ex
//xyzc=[2 0 4 5*10^-9;-3 0 5 -2*10^-9];
//xyz=[1 -3 7];
xyz1=[];
for i=1:size(xyzc,1)
xyz1=cat(1,xyz1,xyz);
end
xyz=xyz1;
clear xyz1
r=xyz-xyzc(:,1:3);
s=(sqrt(sum((r.^2),'c'))).^3;
E=((xyzc(:,4)./s)'*r)/(10^-9/9);
Em=sqrt(sum((E.^2)));
E=E/Em;
endfunction