//now antenna design change to antenna array design
function emtantdes()
mode(-1);
disp('Loading Toolbox for Antenna ArrayDesign');
g=scf(1008);

drawlater()
	// Remove Scilab graphics menus & toolbar
defaultfont        = "arial"; // Default Font
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [150 150];
g.figure_name     = gettext("TOOLBOX FOR DESIGN");
g.axes_size= [600 500];	
	// New menu
	
h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(1008);delete(g);","tag", "close_menu");
//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [15 15 570 475]);

//frame 1

f=uicontrol(i,'relief','groove','style','frame','position', [15 390 535 70],"BackgroundColor",[0.5 0.5 0.5]);

uicontrol(f,'relief','groove','style','text','string','ANTENN ARRAY DESIGN','fontsize',20,"horizontalalignment","center",'position', [10 10 510 50],"BackgroundColor",[1 1 1]);


//frame 2
g=uicontrol(i,'relief','groove','style','frame','position', [15 25 535 355],"BackgroundColor",[0.5 0.5 0.5]);

uicontrol(g,'style','text','string','Select an option:','fontsize',12,"horizontalalignment","left",'position', [10 295 510 50],"BackgroundColor",[0.5 0.5 0.5]);

uicontrol(g,'style','pushbutton','string','UNIFORM ARRAY','fontsize',16,"horizontalalignment","center",'position', [10 250 250 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtuniform');

uicontrol(g,'style','pushbutton','string','BINOMIAL ARRAY','fontsize',16,"horizontalalignment","center",'position', [270 250 250 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtbinomial');

uicontrol(g,'style','pushbutton','string','SCHELKUNOFF ARRAY','fontsize',16,"horizontalalignment","center",'position', [10 190 250 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtschel');

uicontrol(g,'style','pushbutton','string','2D ARRAY','fontsize',16,"horizontalalignment","center",'position', [270 190 250 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emt2darr');

uicontrol(g,'relief','groove','style','pushbutton','string','SECTOR BEAM ARRAY','fontsize',16,"horizontalalignment","center",'position', [10 130 250 50],"BackgroundColor",[0.9 0.9 1],"callback",'emtsector');

uicontrol(g,'relief','groove','style','pushbutton','string','ISOTROPIC ARRAY','fontsize',16,"horizontalalignment","center",'position', [270 130 250 50],"BackgroundColor",[0.9 0.9 1],"callback",'emtisotropic');

//uicontrol(g,'relief','groove','style','pushbutton','string','','fontsize',16,"horizontalalignment","center",'position', [10 70 250 50],"BackgroundColor",[0.9 0.9 1],"callback",'');

//uicontrol(g,'relief','groove','style','pushbutton','string','','fontsize',16,"horizontalalignment","center",'position', [270 70 250 50],"BackgroundColor",[0.9 0.9 1],"callback",'');

uicontrol(g,'relief','groove','style','pushbutton','string','RETURN TO PREVIOUS MENU','fontsize',16,"horizontalalignment","center",'position', [10 10 510 40],"BackgroundColor",[0.9 0.9 1],"callback","g=get_figure_handle(1008);delete(g);emtanalysis;");

newaxes();	
m = gca();
	m.title.text         = "TOOLBOX FOR ANALYSIS AND DESIGN";
	m.title.font_size    = 4;
	m.axes_bounds        = [0,0,1,1];
	
endfunction
