function emtemprop()
	//array_gui
mode(-1);
disp('Loading wave propagation gui');
g=scf(200);
	// Remove Scilab graphics menus & toolbar
//drawlater()
defaultfont        = "arial"; // Default Font
global alpha omega ;
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [10 10];
g.figure_name     = gettext("wave_prop_gui");
g.axes_size= [1200 650];	
	// New menu
	
h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(200);delete(g);","tag", "close_menu");
xinfo('PR');
//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [15 200 315 320]);

//frame 1
f=uicontrol(i,'relief','groove','style','frame','position', [15 110 275 175],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Control Panel","horizontalalignment","center",'position', [15 270 275 20],"BackgroundColor",[0.9 0.9 1]);

//slider1
uicontrol(f,'relief','groove',"style","slider","Min", 0,"Max", 100,"Value", 50,"SliderStep",[1 10],"units", "pixels","position", [ 70 130 100 20 ],"callback","slider_update1","Tag", "view_slider1");
uicontrol(f,'relief','groove','style','text','string','d',"horizontalalignment","center",'position', [10 130 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [180 130 80 20],"Style", "edit","HorizontalAlignment", "center","Tag", "slider_text1","BackgroundColor",[0.9 0.9 1],'callback','edit_update2');
slider_update1();

uicontrol(f,'relief','groove',"style","slider","Min", 0,"Max", 100,"Value", 5,"SliderStep",[1 5],"units", "pixels","position", [ 70 100 100 20 ],"callback","slider_update2","Tag", "view_slider2");
uicontrol(f,'relief','groove','style','text','string','N',"horizontalalignment","center",'position', [10 100 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [180 100 80 20],"Style", "edit","BackgroundColor",[1 1 1],"HorizontalAlignment", "center","Tag", "slider_text2",'callback','edit_update3');
slider_update2();

uicontrol(f,'relief','groove',"style","slider","Min", 0,"Max", 360,"Value", 90,"SliderStep",[10 45],"units", "pixels","position", [ 70 70 100 20 ],"callback","slider_update3","Tag", "view_slider3");
uicontrol(f,'relief','groove','style','text','string','ph0',"horizontalalignment","center",'position', [10 70 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [180 70 80 20],"Style", "edit","HorizontalAlignment", "center","Tag", "slider_text3",'callback','edit_update1');
slider_update3();

uicontrol(f,'relief','groove',"style","slider","Min", 0,"Max", 100,"Value", 40,"SliderStep",[5 10],"units", "pixels","position", [ 70 40 100 20 ],"callback","slider_update4","Tag", "view_slider4");
uicontrol(f,'relief','groove','style','text','string','Rm',"horizontalalignment","center",'position', [10 40 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f, 'relief','groove',"Position", [180 40 80 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "slider_text4");
slider_update4();

uicontrol(f,'relief','groove','style','pushbutton','callback',"drawfigure;",'string','GO','position',[180 10 80 20],"BackgroundColor",[0.8 0.8 1]);

//frame 3
h=uicontrol(i,'relief','groove','style','frame','position', [15 30 275 50],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Output Panel","horizontalalignment","center",'position', [15 80 275 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(h,'relief','groove','style','text','string','3 dB beam angle',"horizontalalignment","center",'position', [10 20 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h, 'relief','groove',"Position", [115 20 100 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "slider_text5");
uicontrol(h,'relief','groove','style','text','string','degrees',"horizontalalignment","center",'position', [220 20 50 20],"BackgroundColor",[0.9 0.9 1]);

j=uicontrol(g,'relief','groove','style','frame',"BackgroundColor",[0.9 0.9 1],'position', [15 15 315 135])
uicontrol(j,'style','text','string','Obtain radiation pattern of a binomial antenna array',"horizontalalignment","center",'position', [5 110 305 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','Parameters: d-element spacing (in lambdas),',"horizontalalignment","left",'position', [5 90 305 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','N-no. of elements,',"horizontalalignment","left",'position', [80 70 230 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','ph0-main beam steering angle,',"horizontalalignment","left",'position', [80 50 230 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','Rm-max attenuation in plot.',"horizontalalignment","left",'position', [80 30 230 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);


m = gca();
	m.title.text         = "BINOMIAL ANTENNA ARRAY";
	m.title.font_size    = 4;

newaxes();	
endfunction

//functions for array_gui
function drawfigure()
	global d N ba ba3 Rm a;
[a, dph] = binomial_array(d, ba, N);
x_dialog('array parameter',string(a));
disp(a,'a=');
[g, ph] = gain1d(d, a, 400); 
	m=gca();
	m.axes_bounds        = [0.25,0,0.65,1];
	
set(gca(),"auto_clear","on") 
plot(0,0)
set(gca(),"auto_clear","off") 
dbz(ph,g,Rm); addray(ba + dph/2); addray(ba - dph/2);
set(gca(),"axes_visible","off")
drawnow();
//figure
//A = sqrt(g);
//psi = 2*%pi*d*cos(ph);
//plot(psi/%pi, A);
//set(gca(),"auto_clear","on")
txt = findobj("Tag", "slider_text5");
set(txt, "String", string(dph));
endfunction

function slider_update1()
sl = findobj("Tag", "view_slider1");
txt = findobj("Tag", "slider_text1");
global d;
d=get(sl, "Value")/100;
set(txt, "String", string(d));
endfunction

function slider_update2()
s1 = findobj("Tag", "view_slider2");
txt = findobj("Tag", "slider_text2");
global N;
N=get(s1, "Value");
set(txt, "String",string(N));
endfunction

function slider_update3()
s1 = findobj("Tag", "view_slider3");
txt = findobj("Tag", "slider_text3");
global ba;
ba=get(s1, "Value");
set(txt, "String", string(ba));
endfunction

function slider_update4()
s1 = findobj("Tag", "view_slider4");
txt = findobj("Tag", "slider_text4");
global Rm;
Rm=get(s1, "Value");
set(txt, "String", string(Rm));
endfunction

function edit_update1()
global ba
txt = findobj("Tag", "slider_text3");
ba=evstr(get(txt, "string"));
s1 = findobj("Tag", "view_slider3");
set(s1, "Value", ba);
endfunction

function edit_update2()
global d
txt = findobj("Tag", "slider_text1");
d=evstr(get(txt, "string"));
s1 = findobj("Tag", "view_slider1");
set(s1, "Value", d);
endfunction

function edit_update3()
global N
txt = findobj("Tag", "slider_text2");
N=evstr(get(txt, "string"));
s1 = findobj("Tag", "view_slider2");
set(s1, "Value", N);
endfunction