//help file added
function emtimdes()
mode(-1);
disp('loading Toolbox for Impedance Matching');
g=scf(1020);

drawlater()
	// Remove Scilab graphics menus & toolbar
defaultfont        = "arial"; // Default Font
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [150 150];
g.figure_name     = gettext("IMPEDANCE MATCHING");
g.axes_size= [600 500];	
	// New menu
	
h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(1020);delete(g);","tag", "close_menu");

//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [15 15 570 475]);

//frame 1

f=uicontrol(i,'relief','groove','style','frame','position', [15 390 545 70],"BackgroundColor",[0.5 0.5 0.5]);

uicontrol(f,'relief','groove','style','text','string','IMPEDANCE MATCHING','fontsize',20,"horizontalalignment","center",'position', [10 10 510 50],"BackgroundColor",[1 1 1]);


//frame 2
g=uicontrol(i,'relief','groove','style','frame','position', [15 25 545 355],"BackgroundColor",[0.4 0.5 0.5]);

uicontrol(g,'style','text','string','Select an option:','fontsize',12,"horizontalalignment","left",'position', [10 330 510 15],"BackgroundColor",[0.4 0.5 0.5]);

h=uicontrol(g,'relief','groove','style','frame','position', [5 60 175 270],"BackgroundColor",[0.5 0.5 0.55]);

uicontrol(h,'style','text','string','STUB MATCHING','fontsize',12,"horizontalalignment","center",'position', [5 220 165 30],"BackgroundColor",[0.75 0.75 1]);

uicontrol(h,'style','pushbutton','string','SINGLE STUB','fontsize',16,"horizontalalignment","center",'position', [5 140 165 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtimss');

uicontrol(h,'style','pushbutton','string','DOUBLE STUB','fontsize',16,"horizontalalignment","center",'position', [5 80 165 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtimds');

uicontrol(h,'style','pushbutton','string','TRIPLE STUB','fontsize',16,"horizontalalignment","center",'position', [5 20 165 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtimts');

i=uicontrol(g,'relief','groove','style','frame','position', [185 60 175 270],"BackgroundColor",[0.5 0.5 0.55]);

uicontrol(i,'style','text','string','TRANSFORMER MATCHING','fontsize',12,"horizontalalignment","center",'position', [5 220 165 30],"BackgroundColor",[0.75 0.75 1]);

uicontrol(i,'style','pushbutton','string','QUARTER WAVELENGTH','fontsize',12,"horizontalalignment","center",'position', [5 140 165 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'g=get_figure_handle(1020);delete(g);emtimqwt');

//uicontrol(i,'style','pushbutton','string','DUAL BAND CHEBYSHEV','fontsize',12,"horizontalalignment","center",'position', [5 80 165 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtimdbc');

h=uicontrol(g,'relief','groove','style','frame','position', [365 60 175 270],"BackgroundColor",[0.5 0.5 0.55]);

uicontrol(h,'style','text','string','REACTIVE MATCHING','fontsize',12,"horizontalalignment","center",'position', [5 220 165 30],"BackgroundColor",[0.75 0.75 1]);

uicontrol(h,'style','pushbutton','string','L SECTION','fontsize',16,"horizontalalignment","center",'position', [5 140 165 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtimls');

uicontrol(h,'style','pushbutton','string','PI SECTION','fontsize',16,"horizontalalignment","center",'position', [5 80 165 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtimps');

uicontrol(g,'relief','groove','style','pushbutton','string','RETURN TO PREVIOUS MENU','fontsize',16,"horizontalalignment","center",'position', [30 10 480 40],"BackgroundColor",[0.9 0.9 1],"callback","g=get_figure_handle(1020);delete(g);emtanalysis;");

newaxes();	
m = gca();
	m.title.text         = "TOOLBOX FOR IMPEDANCE MATCHING";
	m.title.font_size    = 4;
	m.axes_bounds        = [0,0,1,1];
	
endfunction
