function emtimps()
mode(-1);
disp('Loading Pi-Section Reactive Conjugate Matching');
g=scf(104);
	// Remove Scilab graphics menus & toolbar
	
//drawlater()
defaultfont        = "arial"; // Default Font
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [50 50];
g.figure_name     = gettext("emtimps");
g.axes_size= [1100 600];	
	// New menu

global ZG ZL Z x123
x123=[];	
ZG=10;
ZL=20+%i*30;
Z=5+%i*10;

h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(104);delete(g);","tag", "close_menu");
xinfo('PR');

//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [830 150 250 360]);

//frame 1

f=uicontrol(i,'relief','groove','style','frame','position', [15 180 210 160],"BackgroundColor",[0.5 0.55 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Control Panel","horizontalalignment","center",'position', [15 320 210 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(f,'relief','groove','style','text','string','Generator Impedance ',"horizontalalignment","center",'position', [10 110 110 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [125 110 75 20],"Style", "edit",'string',string(ZG),"BackgroundColor",[1 0.75 1],"HorizontalAlignment", "center","Tag", "edit1",'callback','edit_update1','FontSize',12);


uicontrol(f,'relief','groove','style','text','string','Load Impedance',"horizontalalignment","center",'position', [10 80 110 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [125 80 75 20],"Style", "edit",'string',string(ZL),"BackgroundColor",[1 0.75 1],"HorizontalAlignment", "center","Tag", "edit2",'callback','edit_update2','FontSize',12);

uicontrol(f,'relief','groove','style','text','string','Reference Impedance',"horizontalalignment","center",'position', [10 50 110 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [125 50 75 20],"Style", "edit",'string',string(Z),"BackgroundColor",[1 0.75 1],"HorizontalAlignment", "center","Tag", "edit3",'callback','edit_update3','FontSize',12);

uicontrol(f,'relief','groove','style','pushbutton','callback','pmatch1','string','GO','position',[120 10 80 20],"BackgroundColor",[0.8 0.8 1]);


//frame 2


h=uicontrol(i,'relief','groove','style','frame','position', [15 15 210 140],"BackgroundColor",[0.5 0.55 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Output Panel","horizontalalignment","center",'position', [15 150 210 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(h,'relief','groove','style','text','string','1.',"horizontalalignment","center",'position', [5 85 15 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h,'relief','groove','style','text','string','2.',"horizontalalignment","center",'position', [5 60 15 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h,'relief','groove','style','text','string','3.',"horizontalalignment","center",'position', [5 35 15 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h,'relief','groove','style','text','string','4.',"horizontalalignment","center",'position', [5 10 15 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(h,'relief','groove','style','text','string','x1',"horizontalalignment","center",'position', [30 110 55 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h, 'relief','groove',"Position", [30 85 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text1");
uicontrol(h, 'relief','groove',"Position", [30 60 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text2");
uicontrol(h, 'relief','groove',"Position", [30 35 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text3");
uicontrol(h, 'relief','groove',"Position", [30 10 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text4");

uicontrol(h,'relief','groove','style','text','string','x2',"horizontalalignment","center",'position', [90 110 55 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h, 'relief','groove',"Position", [90 85 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text5");
uicontrol(h, 'relief','groove',"Position", [90 60 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text6");
uicontrol(h, 'relief','groove',"Position", [90 35 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text7");
uicontrol(h, 'relief','groove',"Position", [90 10 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text8");

uicontrol(h,'relief','groove','style','text','string','x3',"horizontalalignment","center",'position', [150 110 55 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h, 'relief','groove',"Position", [150 85 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text9");
uicontrol(h, 'relief','groove',"Position", [150 60 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text10");
uicontrol(h, 'relief','groove',"Position", [150 35 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text11");
uicontrol(h, 'relief','groove',"Position", [150 10 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text12");

str = "";
str = str + "<html>";
str = str + "<img src=""file:///"+SCI+"/contrib/EMTTOOL/images/pmatch.jpg"" />";
str = str + "</html>";
my_text = uicontrol("parent", g,"style","text","string",str,"units","pixels","position" , [50 0 750 510],"background" , [1 1 1],"tag","stub3" );

m = gca();
	m.title.text         = "PI-SECTION REACTIVE CONJUGATE MATCHING";
	m.title.font_size    = 4;
endfunction

function edit_update1()
	global ZG
	s4 = findobj("Tag", "edit1");
	ZG=evstr(get(s4, "string"));
endfunction

function edit_update2()
	global ZL
	s4 = findobj("Tag", "edit2");
	ZL=evstr(get(s4, "string"));
endfunction

function edit_update3()
	global Z
	s4 = findobj("Tag", "edit3");
Z=evstr(get(s4, "string"));
endfunction

function pmatch1()
	//format(7);
	global ZG ZL Z x123
	x123 = pmatch(ZG,ZL,Z);
	if x123==[], messagebox("No solution for R greater than min(RG,RL)", "Error", "error", ["Continue"], "modal");return;
	end
	disp(x123,"x123=");
txt1 = findobj("Tag", "text1");
set(txt1, "String", string(x123(1,1)));
txt1 = findobj("Tag", "text2");
set(txt1, "String", string(x123(2,1)));
txt1 = findobj("Tag", "text3");
set(txt1, "String", string(x123(3,1)));
txt1 = findobj("Tag", "text4");
set(txt1, "String", string(x123(4,1)));	
txt1 = findobj("Tag", "text5");
set(txt1, "String", string(x123(1,2)));
txt1 = findobj("Tag", "text6");
set(txt1, "String", string(x123(2,2)));
txt1 = findobj("Tag", "text7");
set(txt1, "String", string(x123(3,2)));
txt1 = findobj("Tag", "text8");
set(txt1, "String", string(x123(4,2)));	
txt1 = findobj("Tag", "text9");
set(txt1, "String", string(x123(1,3)));
txt1 = findobj("Tag", "text10");
set(txt1, "String", string(x123(2,3)));
txt1 = findobj("Tag", "text11");
set(txt1, "String", string(x123(3,3)));
txt1 = findobj("Tag", "text12");
set(txt1, "String", string(x123(4,3)));	
endfunction	