function emtimss()
mode(-1);
disp('Loading Single Stub Matching');
g=scf(103);
	// Remove Scilab graphics menus & toolbar
	
//drawlater()
defaultfont        = "arial"; // Default Font
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [50 50];
g.figure_name     = gettext("emtimss");
g.axes_size= [1100 500];	
	// New menu

global zL z0 type1 dl
dl=[];	
zL=20+%i*30;
z0=10;
type1='ps';

h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(103);delete(g);","tag", "close_menu");
xinfo('PR');

//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [830 50 250 380]);

//frame 1

f=uicontrol(i,'relief','groove','style','frame','position', [15 180 210 175],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Control Panel","horizontalalignment","center",'position', [15 340 210 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(f,'relief','groove','style','text','string','Line Impedance ',"horizontalalignment","center",'position', [10 130 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 130 80 20],"Style", "edit",'string',string(z0),"HorizontalAlignment", "center","Tag", "edit1",'callback','edit_update1','FontSize',12);


uicontrol(f,'relief','groove','style','text','string','Load Impedance',"horizontalalignment","center",'position', [10 100 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 100 80 20],"Style", "edit",'string',string(zL),"HorizontalAlignment", "center","Tag", "edit2",'callback','edit_update2','FontSize',12);


uicontrol(f,'relief','groove','style','text','string','Stub Type (ps/ss)',"horizontalalignment","center",'position', [10 70 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 70 80 20],"Style", "edit",'string',type1,"HorizontalAlignment", "center","Tag", "edit3",'callback','edit_update3','FontSize',12);

uicontrol(f,'relief','groove','style','pushbutton','callback','find_stub1','string','GO','position',[120 10 80 20],"BackgroundColor",[0.7 0.7 1]);


//frame 2


h=uicontrol(i,'relief','groove','style','frame','position', [15 35 210 120],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Output Panel","horizontalalignment","center",'position', [15 150 210 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(h,'relief','groove','style','text','string','Solution 1',"horizontalalignment","center",'position', [10 50 60 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h,'relief','groove','style','text','string','Solution 2',"horizontalalignment","center",'position', [10 20 60 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(h,'relief','groove','style','text','string','d',"horizontalalignment","center",'position', [80 80 55 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h, 'relief','groove',"Position", [80 50 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text1");
uicontrol(h, 'relief','groove',"Position", [80 20 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text2");

uicontrol(h,'relief','groove','style','text','string','l',"horizontalalignment","center",'position', [140 80 55 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h, 'relief','groove',"Position", [140 50 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text3");
uicontrol(h, 'relief','groove',"Position", [140 20 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text4");

str = "";
str = str + "<html>";
str = str + "<img src=""file:///"+SCI+"/contrib/EMTTOOL/images/stub1.jpg"" />";
str = str + "</html>";
my_text = uicontrol("parent", g,"style","text","string",str,"units","pixels","position" , [50 0 750 410],"background" , [1 1 1],"tag","stub1" );

m = gca();
	m.title.text         = "SINGLE STUB MATCHING";
	m.title.font_size    = 4;
endfunction

function edit_update1()
	global z0
	s4 = findobj("Tag", "edit1");
	z0=evstr(get(s4, "string"));
endfunction

function edit_update2()
	global zL
	s4 = findobj("Tag", "edit2");
	zL=evstr(get(s4, "string"));
endfunction

function edit_update3()
	global type1
s4 = findobj("Tag", "edit3");
type1=(get(s4, "string"));
endfunction

function find_stub1()
	global zL z0 type1 dl
	dl=stub1(zL,z0,type1);
	disp(dl,"dl=");
txt1 = findobj("Tag", "text1");
txt2 = findobj("Tag", "text2");
txt3 = findobj("Tag", "text3");
txt4 = findobj("Tag", "text4");
set(txt1, "String", string(dl(1,1)));
set(txt2, "String", string(dl(2,1)));
set(txt3, "String", string(dl(1,2)));
set(txt4, "String", string(dl(2,2)));	
endfunction	