//help file added
function [eta,c] = etac(n)
if argn(2)==0, help etac; return; end
c0 = 299792458;     
mu0 = 4*%pi*1e-7;            // eps0 = 1/mu0/c0^2 = 8.854187817e-12
eta0 = mu0 * c0;            // eta0 = 376.7303 ohms
c = c0./n;
eta = eta0./n;
endfunction
