function a = multibeam(d, w, A, ph0)
if argn(2)==0, help multibeam; return; end     
N = length(w);                           // number of array elements
L = length(A);                           // number of beams
a = zeros(1, N);
for i=1:L,
    a = a + A(i) * steer(d, w, ph0(i));     // accumulate steered w's
end
endfunction
