function [c,r] = nfcirc(F,Fmin,rn,gGopt)
if argn(2)==0, help nfcirc; return; end
F = 10^(F/10); Fmin = 10^(Fmin/10);
N = (F-Fmin) * abs(1+gGopt)^2 / (4*rn);
c = gGopt / (N+1);
r = sqrt(N^2+N*(1-abs(gGopt)^2)) / (N+1);
endfunction
