//help file added
function [Z1,L1] = onesect(ZL,Z0)
if argn(2)==0, help onesect; return; end
RL = real(ZL);
XL = imag(ZL);
if (Z0 >= RL) & (Z0 <= RL + XL^2/RL),
    disp('no solution exists'); Z1=[]; L1=[]; 
    return; 
end
if XL==0, XL=%eps;
	end
Z1 = sqrt(Z0*RL - Z0*XL^2/(Z0-RL));
L1 = atan(Z1*(Z0-RL)/Z0/XL)/2/%pi; 
L1 = pmodulo(L1,0.5); 
endfunction