function c = poly1(x)
[m,n] = size(x);
if m == n
   e = spec(x);
elseif (m==1)|(n==1)
   e = x;
else
   error('Argument must be a vector or a square matrix.')
end

n = length(e);
c = [1 zeros(1,n)];
for j=1:n
    c(2:(j+1)) = c(2:(j+1)) - e(j).*c(1:j);
end

if isequal(gsort(e(imag(e)>0),"g","i"),gsort(conj(e(imag(e)<0))),"g","i")
    c = real(c);
end
endfunction
