//HELP FILE ADDED
function asteer = steer(d, a, ph0)
if argn(2)==0, help steer; return; end      
if ph0==90, asteer=a; return; end         // avoids v5.1 evaluation of cos(pi/2)=6.123e-017                                     
ph0 = ph0 * %pi / 180;
ps0 = 2 * %pi * d * cos(ph0);              // scanning phase in psi-space
asteer = scan(a, ps0);
endfunction
