function d123 = stub3(zL,l1,l2,type1,e)
if argn(2)==0, help stub3; return; end
if argn(2)<=4, e=0.9; end
if argn(2)<=3, type1=['s' 's' 's']; end
if argn(2)==1,  l1=1/8; l2=1/8; end
m= (type1=='o');                       // selects open stubs
type2 = [type1(1) type1(2)];
yL = 1./zL;                                // load admittance
gL = real(yL);                  
bL = imag(yL);
g1max = 1 + (cotg(2*%pi*l1)).^2; 
g2max = 1 + (cotg(2*%pi*l2)).^2;
emax = g2max/(g1max*gL);
e = min(e, emax);
B = (1-e/emax)*gL*g2max/(e*g1max);
d3 = pmodulo(acot(bL -cotg(2*%pi*l2) + [1; -1] * sqrt(B))/2/%pi + m(3)/4,0.5);      // two solutions
yc = yL - %i*cotg(2*%pi*d3 - m(3)*%pi/2);     // yc is 2x1 for two solutions
yb(1) = zprop(yc(1), 1, 2*%pi*l2); 
yb(2) = zprop(yc(2), 1, 2*%pi*l2); 
zb =[1/yb(1) 1/yb(2)] ;                                 // yb is 2x1 
disp(zb,l1,type2)
d1 = stub2(zb(1),l1,type2);           // first solution pair,  d1 is 2x2
d2 = stub2(zb(2),l1,type2);             // second solution pair, d2 is 2x2
d123 = [[d1; d2], [d3(1); d3(1); d3(2); d3(2)]];// d123 is 4x3 for four solutions
endfunction