function [Za,Zc] = tsection(Z0,bl)
if argn(2)==0, help tsection; return; end
if isreal(bl) & bl/%pi-fix(bl/(2*%pi))*2==1             // bl = (2*n+1)*pi
    Za = %inf;
    Zc = %inf;
elseif isreal(bl) & bl/%pi-fix(bl/(2*%pi))*2==0        // bl = 2*n*pi
    Za = 0;
    Zc = %inf;
else
    Za = %i * Z0 * tan(bl/2);
    Zc = -%i * Z0 / sin(bl);
end
endfunction