//working to add help file
function [a, dph] = uniform(d, ph0, N)
if argn(2)==0, help uniform; return; end
a = ones(1,N);                          // uniform weights
a = steer(d, a, ph0);                   // steer towards ph0
dps = 0.886 * 2 * %pi / N;              // 3-dB width of rectangular window
dph = bwidth(d, ph0, dps);              // 3-dB width in angle space
endfunction
