//HELP FILE ADDED
function Gamma = z2g(Z,Z0)
if argn(2)==0, help z2g; return; end
if argn(2)==1, Z0=1; end

Gamma = ones(length(Z));                  // Gamma=1 when Z=Inf

i = find(Z ~= %inf);                     // Gamma for Z not equal to Inf
Gamma(i) = (Z(i)-Z0)./(Z(i)+Z0);
endfunction
