clc
clf

////2 element isotropic array
//d = 1; a = [1,-%i];         //d is in units of λ
//[g, phi] = gain1d(d, a, 400); // 400 phi’s in [0, π]
//dbz(phi, g, 20);  
//set(gca(),"auto_clear","off") 
//xstring(0,1,'d = 1; a = [1,-%i]')

////OK
////3 element isotropic array
//d = 0.25; a = [1,%i,-1];
//[g, phi] = gain1d(d, a, 400);
//dbz(phi, g,20);
//set(gca(),"auto_clear","off") 

////OK
////2d array
//d = 0.5; 
//a=[1 2 2]; 
//phi = (0:400) * 2*%pi/400;
//psi1 = 2*%pi*d*cos(phi);
//psi2 = 2*%pi*d*sin(phi);
//g = abs((a(1)) + (a(2).*exp(%i*psi1)) + (a(3).*exp(%i*psi2))).^2;
//g = g/max(g);
//dbz2(phi, g, 12);
//set(gca(),"auto_clear","off") 

////OK
////vertical dipole over imperfect ground 
//sigma=1e-3; 
//ep0=8.854e-12; 
//er=15; 
//f=1e6; 
//h = 1/2;
//n2 = er - %i*sigma/ep0/2/%pi/f;
//th = linspace(0,%pi/2,301); c =cos(th); s2 = sin(th).^2;
////th = linspace(0,%pi*2,301); c =cos(th); s2 = sin(th).^2;
//rho = (sqrt(n2-s2) - n2*c)./(sqrt(n2-s2) + n2*c);
//A = ones(1,length(th)) - rho .* exp(-%i*4*%pi*h*cos(th));   // array factor
//G = cos(%pi*cos(th)/2)./(sin(th)+%eps); G(1)=0;         // half-wave dipole
//g = abs(G.*A).^2;  g = g/max(g);                    // normalized gain
//dbp(th, g, 12);                                // polar plot in dB
//

////OK
////grating lobes
//d=8; a=[1 1];
//[g,th]=gain1d(d,a,400);//g array gain factor
//gdip=dipole(0.5,400);//gdip dipole pattern
//gtot=g.*gdip;
//dbp(th,gtot,12)


////OK add legend to second graph
////woodward 
//d=0.5; N=20; ph1=45; ph2=75; alt=1; K=(N-1)/2;
//j1 = N*d*cos(ph2*%pi/180);
//j2 = N*d*cos(ph1*%pi/180);
//i = (0:N-1);                              // DFT index
//j = i - alt*K;                           // alternative DFT index
//// equals 1, if j1 ≤ j ≤ j2 , and 0, otherwise
//A = (j>=j1)&(j<=j2);
//a = woodward(A, alt);                     // inverse DFT
//w=window('hm',N);//hamming
////w = 0.54 - 0.46*cos(2*%pi*i/(N-1));        // Hamming window
////w=ones(1,length(i));                      // rect window
//awind = a .* w;                          // windowed weights
//[g,ph] = gain1d(0.5, awind, 400);          // array gain
//dbz(ph, g, 80);
//addray(ph1); addray(ph2);
//set(gca(),"axes_visible","off")
// N=21; K=(N-1)/2; d=0.5; thmax=70;
// psmax = 2*%pi*d * cos(thmax*%pi/180);
//Ai = ones(1,K+1);
//psi = 2*%pi*(0:K)/N;                   // half of DFT frequencies
//j = find(psi);                      // non-zero ψ’s
//Ai(j) = psmax*(psi(j)>=psmax)./psi(j) + (psi(j)<psmax); // half of the DFT values
//Ai = [Ai, Ai(K:-1:1)];        // all the DFT values
//a  = woodward(Ai, 0) / N;       //inverse DFT with alt=0
//aw = a .* (0.54 - 0.46*cos(2*%pi*(0:N-1)/(N-1))); // Hamming
//th = (0:200) * 90 / 200;
//ps = 2*%pi*d * cos(th*%pi/180);                                       
//A = abs(dtft(a, -ps));                       // rectangular design
//Aw = abs(dtft(aw,-ps));                          // Hamming design    
//A0 = psmax*(ps>=psmax)./ps + (ps<psmax);        // exact pattern
//figure
//plot(th,A0,th,A,th,Aw);           

////OK
////taylor n line source array ------------villeneure array
//d=0.5;
////[a,dph]=taylornb(d,90,21,30,10); //or
//[a,dph]=ville(d,90,21,30,10);
//[g, ph] = gain1d(d, a, 200);     // compute array gain
//dbz(ph, g, 30); 
//A = db(g);
//psi = 2*%pi*d*cos(ph);
//figure
//plot(psi/%pi, A);