//plot of the radiation pattern of a center fed dipole -- various lengths
clc
clear all
clear; clf;
lines(0)
Lol=0.5;
theta=0.02:0.02:2*%pi;
M=length(theta);
for k=1:4,
    Lolk=k*Lol
    ksi=2*%pi*Lolk;
    ks2=ksi/2;
    for m=1:M,
        thetam=theta(m);
        ct=cos(thetam);
        st=sin(thetam);
        // short dipole
        Fs(m)=abs(st);
        // long dipole
        if st~=0
            F(m,k)=(cos(ks2*ct)-cos(ks2))./st;
        else
            F(m,k)=0;
        end;
    end;
    Fm(k)=max(F(:,k));
    F(:,k)=F(:,k)./Fm(k);
    G(:,k)=abs(F(:,k));
end;
    polarplot(theta,0.99*G(:,1)');
figure
    polarplot(theta,0.99*G(:,2)');
figure
    polarplot(theta,0.99*G(:,3)');
figure
    polarplot(theta,0.99*G(:,4)');