clc
clear all
//lines(0)
smith([0 0.3 0.6 0.8 0.9 1 3 5])
//plot impedances
r= [1 100 0 0 1];
x= [0 100 0 -1 4];
for j= 1: 5
    realR(j) = (-1+(r(j)^2)+(x(j)^2))/(((r(j)+1)^2)+(x(j))^2);
    imagR(j) = (2*x(j)/(((r(j)+1)^2)+(x(j))^2));
    plot(realR(j),imagR(j),'s')
end
square(-1.2, -1.2, 1.2, 1.2);
set(gca(),'axes_visible','off')
m = gca();
	m.title.text         = "smith plot test";
	m.title.font_size    = 4;
	m.axes_bounds        = [0,0,1,1];
//x=[-1 0 1];
//plot(x,x,'r')