function sphere(ph,th,r,n)
if argn(2)<4, n = 50;end
if argn(2)<3, r=1/2;end
if argn(2)<2, th=%pi/4;end
if argn(2)<1, ph=%pi/4;end

[x1 y1 z1]=sph2cart(ph,th,r);
theta = (-n:2:n)/n*%pi;
phi = (-n:2:n)'/n*%pi/2;
cosphi = cos(phi); cosphi(1) = 0; cosphi(n+1) = 0;
sintheta = sin(theta); sintheta(1) = 0; sintheta(n+1) = 0;
x = r*cosphi*cos(theta);
y = r*cosphi*sintheta;
z = r*sin(phi)*ones(1,n+1);
surf(x,y,z)
plot3d([x1 x1],[y1 y1],[z1 z1])
a=get("hdl");
a.surface_mode="off";
a.mark_style=0;
a.mark_size=6;
if th> %pi/2, 
	plot3d([0 0;r*cos(ph) r*cos(ph);r*cos(ph) r*cos(ph);0 0],[0 0;r*sin(ph) r*sin(ph);r*sin(ph) r*sin(ph);0 0],[-r -r;-r -r;0 0;0 0])
	plot3d([0 0;r r;r r;0 0],[0 0;0 0;0 0;0 0],[-r -r; -r -r;0 0;0 0],alpha=100,theta=45)
else
	plot3d([0 0;r*cos(ph) r*cos(ph);r*cos(ph) r*cos(ph);0 0],[0 0;r*sin(ph) r*sin(ph);r*sin(ph) r*sin(ph);0 0],[r r;r r;0 0;0 0])
	plot3d([0 0;r r;r r;0 0],[0 0;0 0;0 0;0 0],[r r; r r;0 0;0 0],alpha=45,theta=22.5) 
end
endfunction