clc
clear all
a=2; b=1;
m=2; n=2;
x=0:0.01:a;
y=0:0.01:b;
h2=(m*%pi/a)^2+(n*%pi/b)^2;
ex=-(m*%pi/a)*cos(m*%pi*x'/a)*sin(n*%pi*y/b)/h2;
ey=-(n*%pi/b)*sin(m*%pi*x'/a)*cos(n*%pi*y/b)/h2;
ez=sin(m*%pi*x'/a)*sin(n*%pi*y/b);
et=sqrt(ex.^2+ey.^2);
//square(0,0,a,b)
set(gca(),'box','on')
drawlater();
for i=1:round(length(x)/20):length(x)-1
    for j=1:round(length(y)/20):length(y)-1
       xsegs([x(i) x(i)+ex(i,j)],[y(j) y(j)+ey(i,j)],[0 ez(i,j)],5) 
       e=gce();
    e.arrow_size=0.5;
    end
end
//contour(x,y,et,20);
//xset("fpf"," ")
hx=-ey;
hy=ex;
hz=0;
//figure
//square(0,0,a,b)
//set(gca(),'box','on')
for i=1:round(length(x)/20):length(x)-1
    for j=1:round(length(y)/20):length(y)-1
       xsegs([x(i) x(i)+hx(i,j)],[y(j) y(j)+hy(i,j)],12) 
       e=gce();
    e.arrow_size=0.5;
    end
end
contour(x,y,et,20);
xset("fpf"," ")
zoom_rect([0,0,a,b])
drawnow();