//complex number to phasor form
function p = c2p(z)
if argn(2)==0, help c2p; return; end
if (real(z)>=0)
phi=atan(imag(z)/(real(z+%eps)));// angle of complex reflection coefficient
else
phi=%pi+atan(imag(z)/(real(z)));
end
p = [abs(z), phi*180/%pi];
endfunction
