//HELP FILE ADDED
function [Gamma,r2] = circtan(c1,r1,c2)
if argn(2)==0, help circtan; return; end
c21 = c2-c1;                  // vector from c1 to c2
z21 = c21 / abs(c21);         // unit vector from c1 to c2
r2 = abs(r1-abs(c21));      // c2 could be inside or outside the c1,r1 circle
Gamma = c1 + r1 * z21;        
endfunction
