//help file added
function dbp(ph, g, Rm)
if argn(2)<3, Rm = 40; end
g = g .* (g >%eps) + %eps. * (g <= %eps); 
g=10.*log10(g);
g=(g+Rm)./Rm;
g(g<0)=0;
//polarplot([ph -ph], [g g]);  
x = g .* sin(ph);
y = g .* cos(ph);
N0 = 400;
phi0 = (0:N0) * 2*%pi / N0;  
x0 = sin(phi0);                                       // gain circles
y0 = cos(phi0);  
plot(x,y,'r',-x,y,'r',x0,y0,'b', 0.75*x0,0.75*y0,'b--',0.5*x0,0.5*y0,'b--',0.25*x0,0.25*y0,'b--');//[0.75*x0 0.50*x0 0.25*x0],[0.75*y0 0.50*y0 0.25*y0]); 
//set(gca(),"axes_visible","off")
square(-1.2,-1.2,1.2,1.2)
//set(gca(),"axes_visible","off")
plot([-1 1],[0 0],'k')
plot([0 0],[-1 1],'k')
xstring(0,0,'-'+string(Rm)+' dB')
xstring(0.25,0,'-'+string(3*Rm/4)+' dB')
xstring(0.5,0,'-'+string(Rm/2)+' dB')
xstring(0.75,0,'-'+string(Rm/4)+' dB')
xstring(1,0,'0 dB')
  x1 = cos(%pi/3); y1 = sin(%pi/3);
  x2 = cos(%pi/6); y2 = sin(%pi/6);
  plot([-x1,x1], [-y1,y1], '--');
  plot([-x2,x2], [-y2,y2], '--');
  plot([-x2,x2], [y2,-y2], '--');
  plot([-x1,x1], [y1,-y1], '--');
endfunction
