function emtctrans()
	//coordinate transformation
mode(-1);
disp('Loading coordinate transformation gui');
g=scf(140);
	// Remove Scilab graphics menus & toolbar
//drawlater()
defaultfont        = "arial"; // Default Font
global x y z rho ph th r n;
x=1;y=1;z=1;
n=40;

delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [10 10];
g.figure_name     = gettext("coord_trans_gui");
g.axes_size= [1200 650];	
	// New menu
	
h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(110);delete(g);","tag", "close_menu");
xinfo('PR');
//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [15 50 315 420]);
uicontrol(g,'relief','groove','style','text','string',"CONTROL PANEL","horizontalalignment","center",'position', [15 460 315 20],"BackgroundColor",[0.9 0.9 1]);	

//frame 1
f=uicontrol(i,'relief','groove','style','frame','position', [15 300 275 80],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"RECTANGULAR COORDINATE","horizontalalignment","center",'position', [15 370 275 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(f,'relief','groove','style','text','string','x',"horizontalalignment","center",'position', [10 40 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove','style','text','string','y',"horizontalalignment","center",'position', [70 40 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove','style','text','string','z',"horizontalalignment","center",'position', [130 40 50 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(f,'relief','groove',"style","edit","string", '1',"position", [ 10 10 50 20 ],"callback","edit_update1","horizontalalignment","center","Tag", "view_edit1");
uicontrol(f,'relief','groove',"style","edit","string", '1',"position", [ 70 10 50 20 ],"callback","edit_update2","horizontalalignment","center","Tag", "view_edit2");
uicontrol(f,'relief','groove',"style","edit","string", '1',"position", [ 130 10 50 20 ],"callback","edit_update3","horizontalalignment","center","Tag", "view_edit3");
uicontrol(f,'relief','groove','style','pushbutton','callback',"rect_find",'string','TRANSFORM','position',[190 10 80 50],"BackgroundColor",[0.8 0.8 1]);

//FRAME 2
j=uicontrol(i,'relief','groove','style','frame','position', [15 190 275 80],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"POLAR COORDINATE","horizontalalignment","center",'position', [15 260 275 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(j,'relief','groove','style','text','string','rho',"horizontalalignment","center",'position', [10 40 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(j,'relief','groove','style','text','string','phi',"horizontalalignment","center",'position', [70 40 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(j,'relief','groove','style','text','string','z',"horizontalalignment","center",'position', [130 40 50 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(j,'relief','groove',"style","edit","position", [ 10 10 50 20 ],"callback","edit_update4","horizontalalignment","center","Tag", "view_edit4");
uicontrol(j,'relief','groove',"style","edit","position", [ 70 10 50 20 ],"callback","edit_update5","horizontalalignment","center","Tag", "view_edit5");
uicontrol(j,'relief','groove',"style","edit","position", [ 130 10 50 20 ],"callback","edit_update6","horizontalalignment","center","Tag", "view_edit6");
uicontrol(j,'relief','groove','style','pushbutton','callback',"pol_find",'string','TRANSFORM','position',[190 10 80 50],"BackgroundColor",[0.8 0.8 1]);

//FRAME 3
k=uicontrol(i,'relief','groove','style','frame','position', [15 80 275 80],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"SPHERICAL COORDINATE","horizontalalignment","center",'position', [15 150 275 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(k,'relief','groove','style','text','string','r',"horizontalalignment","center",'position', [10 40 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(k,'relief','groove','style','text','string','phi',"horizontalalignment","center",'position', [70 40 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(k,'relief','groove','style','text','string','theta',"horizontalalignment","center",'position', [130 40 50 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(k,'relief','groove',"style","edit","position", [ 10 10 50 20 ],"callback","edit_update7","horizontalalignment","center","Tag", "view_edit7");
uicontrol(k,'relief','groove',"style","edit","position", [ 70 10 50 20 ],"callback","edit_update8","horizontalalignment","center","Tag", "view_edit8");
uicontrol(k,'relief','groove',"style","edit","position", [ 130 10 50 20 ],"callback","edit_update9","horizontalalignment","center","Tag", "view_edit9");
uicontrol(k,'relief','groove','style','pushbutton','callback',"sph_find",'string','TRANSFORM','position',[190 10 80 50],"BackgroundColor",[0.8 0.8 1]);

uicontrol(i,'relief','groove','style','pushbutton','callback',"cuboid",'string','VIEW RECT','position',[10 10 90 50],"BackgroundColor",[0.8 0.8 0.75]);
uicontrol(i,'relief','groove','style','pushbutton','callback',"cylinder",'string','VIEW POLAR','position',[110 10 90 50],"BackgroundColor",[0.8 0.8 0.75]);
uicontrol(i,'relief','groove','style','pushbutton','callback',"sphere",'string','VIEW SPH','position',[210 10 90 50],"BackgroundColor",[0.8 0.8 0.75]);


m = gca();
	m.title.text         = "COORDINATE TRANSFORMATION";
	m.title.font_size    = 4;

newaxes();	
endfunction

//functions for emtctrans
function rect_find()
	global x y z rho ph th r
	[ph,rho,z]=cart2pol(x,y,z);
	[ph,th,r]=cart2sph(x,y,z);
	update_edit;
endfunction

function pol_find()
	global x y z rho ph th r
	[x,y,z]=pol2cart(ph,rho,z);
	[r,th,ph]=pol2sph(ph,rho,z);	
	update_edit;
endfunction

function sph_find()
	global x y z rho ph th r
	[ph,rho,z]=sph2pol(ph,th,r);
	[x,y,z]=sph2cart(ph,th,r);
	update_edit;
endfunction

function update_edit()
	global x y z rho ph th r
	txt = findobj("Tag", "view_edit1");
	set(txt, "String", string(x));
	txt = findobj("Tag", "view_edit2");
	set(txt, "String", string(y));
	txt = findobj("Tag", "view_edit3");
	set(txt, "String", string(z));
	txt = findobj("Tag", "view_edit4");
	set(txt, "String", string(rho));
	txt = findobj("Tag", "view_edit5");
	set(txt, "String", string(ph*180/%pi));	
	txt = findobj("Tag", "view_edit6");
	set(txt, "String", string(z));
	txt = findobj("Tag", "view_edit7");
	set(txt, "String", string(r));
	txt = findobj("Tag", "view_edit8");
	set(txt, "String", string(ph*180/%pi));
	txt = findobj("Tag", "view_edit9");
	set(txt, "String", string(th*180/%pi));
endfunction

function edit_update1()
global x
txt = findobj("Tag", "view_edit1");
x=evstr(get(txt, "string"));
endfunction

function edit_update2()
global y
txt = findobj("Tag", "view_edit2");
y=evstr(get(txt, "string"));
endfunction

function edit_update3()
global z
txt = findobj("Tag", "view_edit3");
z=evstr(get(txt, "string"));
endfunction

function edit_update4()
global rho
txt = findobj("Tag", "view_edit4");
rho=evstr(get(txt, "string"));
endfunction

function edit_update5()
global ph
txt = findobj("Tag", "view_edit5");
ph=evstr(get(txt, "string"))*%pi/180;;
endfunction

function edit_update6()
global z
txt = findobj("Tag", "view_edit6");
z=evstr(get(txt, "string"));
endfunction

function edit_update7()
global r
txt = findobj("Tag", "view_edit7");
r=evstr(get(txt, "string"));
endfunction

function edit_update8()
global ph
txt = findobj("Tag", "view_edit8");
ph=evstr(get(txt, "string"))*%pi/180;
endfunction

function edit_update9()
global th
txt = findobj("Tag", "view_edit9");
th=evstr(get(txt, "string"))*%pi/180;
endfunction

function sphere
	global ph th r n x y z
theta = (-n:2:n)/n*%pi;
phi = (-n:2:n)'/n*%pi/2;
cosphi = cos(phi); cosphi(1) = 0; cosphi(n+1) = 0;
sintheta = sin(theta); sintheta(1) = 0; sintheta(n+1) = 0;
x2 = r*cosphi*cos(theta);
y2 = r*cosphi*sintheta;
z2 = r*sin(phi)*ones(1,n+1);
figure
set(gcf(),'figure_position',[400 50]);
set(gcf(),'axes_size',[800 500]);
surf(x2,y2,z2)
plot3d([x x],[y y],[z z])
a=get("hdl");
a.surface_mode="off";
a.mark_style=0;
a.mark_size=6;
if th> %pi/2, 
	plot3d([0 0;r*cos(ph) r*cos(ph);r*cos(ph) r*cos(ph);0 0],[0 0;r*sin(ph) r*sin(ph);r*sin(ph) r*sin(ph);0 0],[-r -r;-r -r;0 0;0 0])
	plot3d([0 0;r r;r r;0 0],[0 0;0 0;0 0;0 0],[-r -r; -r -r;0 0;0 0],alpha=100,theta=45)
else
	plot3d([0 0;r*cos(ph) r*cos(ph);r*cos(ph) r*cos(ph);0 0],[0 0;r*sin(ph) r*sin(ph);r*sin(ph) r*sin(ph);0 0],[r r;r r;0 0;0 0])
	plot3d([0 0;r r;r r;0 0],[0 0;0 0;0 0;0 0],[r r; r r;0 0;0 0],alpha=45,theta=22.5) 
end
xtitle('SPHERICAL COORDINATE SYSTEM :phi='+string(ph*180/%pi)+', theta='+string(th*180/%pi)+', r='+string(r))
endfunction

function cylinder
	global ph rho z n x y z	
rho1 = rho(:); // Make sure r is a vector.
m = length(rho1); if m==1, rho1 = [rho1;rho1]; m = 2; end
theta = (0:n)/n*2*%pi;
sintheta = sin(theta); sintheta(n+1) = 0;
x2 = rho1 * cos(theta);
y2 = rho1 * sintheta;
z2 = z*(0:m-1)'/(m-1) * ones(1,n+1);
figure
set(gcf(),'figure_position',[400 100]);
set(gcf(),'axes_size',[800 450]);
surf(x2,y2,z2)
set(gca(),'auto_clear','off')
plot3d([x x],[y y],[z z])
a=get("hdl");
a.surface_mode="off";
a.mark_style=0;
a.mark_size=1;
plot3d([0 0;x x;x x;0 0],[0 0;y y;y y;0 0],[z z; z z;0 0;0 0])
plot3d([0 0;rho1(1) rho1(1);rho1(1) rho1(1);0 0],[0 0;0 0;0 0;0 0],[z z; z z;0 0;0 0],alpha=22.5,theta=22.5)
xtitle('CYLINDRICAL COORDINATE SYSTEM :phi='+string(ph*180/%pi)+', rho='+string(rho1(1))+', z='+string(z))
endfunction

function cuboid
	global x y z
	figure
set(gcf(),'figure_position',[400 100]);
set(gcf(),'axes_size',[800 450]);
	m = gca();
		m.title.text         = "RECTANGULAR COORDINATE SYSTEM";
		m.title.font_size    = 4;
		m.axes_bounds        = [0,0,1,1];
	plot3d([x x],[y y],[z z])
	a=get("hdl");
	a.surface_mode="off";
	a.mark_style=0;
	a.mark_size=3;
endfunction