function emtdemo()
mode(-1);
disp('Loading EMTTOOL DEMO');
g=scf(1100);
drawlater()
	// Remove Scilab graphics menus & toolbar
defaultfont        = "arial"; // Default Font
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [0 0];
g.figure_name     = gettext("EMTTOOL");
g.axes_size= [600 500];	
	// New menu
	
h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(1000);delete(g);","tag", "close_menu");

//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [15 15 570 475]);

//frame 1

f=uicontrol(i,'relief','groove','style','frame','position', [15 360 535 90],"BackgroundColor",[0.5 0.5 0.5]);

uicontrol(f,'relief','groove','style','text','string','EMTTOOL IMAGES','fontsize',36,"horizontalalignment","center",'position', [10 15 510 50],"BackgroundColor",[1 1 1]);

//frame 2
g=uicontrol(i,'relief','groove','style','frame','position', [15 25 535 300],"BackgroundColor",[0.4 0.5 0.5]);

uicontrol(g,'style','text','string','Select an option:','fontsize',12,"horizontalalignment","left",'position', [10 240 510 50],"BackgroundColor",[0.4 0.5 0.5]);

Y=uicontrol(g,'relief','groove','style','frame','position', [10 190 510 50],"BackgroundColor",[0.4 0.4 0.4]);

uicontrol(Y,'relief','groove','style','pushbutton','string','SINGLE STUB MATCHING','fontsize',12,"horizontalalignment","center",'position', [10 5 160 40],"BackgroundColor",[0.9 0.9 1],"callback","emtimgstub1");

uicontrol(Y,'relief','groove','style','pushbutton','string','DOUBLE STUB MATCHING','fontsize',12,"horizontalalignment","center",'position', [180 5 160 40],"BackgroundColor",[0.9 0.9 1],"callback","emtimgstub2");

uicontrol(Y,'relief','groove','style','pushbutton','string','TRIPLE STUB MATCHING','fontsize',12,"horizontalalignment","center",'position', [350 5 160 40],"BackgroundColor",[0.9 0.9 1],"callback","emtimgstub3");

X=uicontrol(g,'relief','groove','style','frame','position', [10 130 510 50],"BackgroundColor",[0.4 0.4 0.4]);

uicontrol(X,'relief','groove','style','pushbutton','string','QWT1','fontsize',12,"horizontalalignment","center",'position', [10 5 160 40],"BackgroundColor",[0.9 0.9 1],"callback","emtimgqwt1");

uicontrol(X,'relief','groove','style','pushbutton','string','QWT2','fontsize',12,"horizontalalignment","center",'position', [180 5 160 40],"BackgroundColor",[0.9 0.9 1],"callback","emtimgqwt2");

uicontrol(X,'relief','groove','style','pushbutton','string','QWT3','fontsize',12,"horizontalalignment","center",'position', [350 5 160 40],"BackgroundColor",[0.9 0.9 1],"callback","emtimgqwt3");


uicontrol(g,'relief','groove','style','pushbutton','string','BROWSE HELP FILES','fontsize',16,"horizontalalignment","center",'position', [30 70 470 50],"BackgroundColor",[0.9 0.9 1],"callback","help EMTTOOL");

uicontrol(g,'relief','groove','style','pushbutton','string','RETURN TO PREVIOUS MENU','fontsize',16,"horizontalalignment","center",'position', [10 10 510 50],"BackgroundColor",[0.9 0.9 1],"callback","g=get_figure_handle(1100);delete(g);emttool;");


newaxes();	
m = gca();
	m.title.text         = "EMTTOOL DEMO";
	m.title.font_size    = 4;
	m.axes_bounds        = [0,0,1,1];
	
endfunction

function emtimgstub1()
	z=scf(101)
z.background      = -2;
z.figure_position = [30 30];
z.figure_name     = gettext("SINGLE STUB MATCHING");
z.axes_size= [800 550];	
str = "";
str = str + "<html>";
str = str + "<img src=""file:///"+SCI+"/contrib/EMTTOOL/images/stub1.jpg"" />";
str = str + "</html>";
my_text = uicontrol(z,"style","text","string",str,"units","pixels","position" , [50 0 750 410],"background" , [1 1 1],"tag","stub1" );	
xtitle('SINGLE STUB MATCHING')
endfunction

function emtimgstub2()
	z=scf(101)
z.background      = -2;
z.figure_position = [30 30];
z.figure_name     = gettext("DOUBLE STUB MATCHING");
z.axes_size= [800 550];	
str = "";
str = str + "<html>";
str = str + "<img src=""file:///"+SCI+"/contrib/EMTTOOL/images/stub2.jpg"" />";
str = str + "</html>";
my_text = uicontrol(z,"style","text","string",str,"units","pixels","position" , [50 0 750 410],"background" , [1 1 1],"tag","stub1" );	
xtitle('DOUBLE STUB MATCHING')
endfunction

function emtimgstub3()
	z=scf(101)
z.background      = -2;
z.figure_position = [30 30];
z.figure_name     = gettext("TRIPLE STUB MATCHING");
z.axes_size= [800 550];	
str = "";
str = str + "<html>";
str = str + "<img src=""file:///"+SCI+"/contrib/EMTTOOL/images/stub3.jpg"" />";
str = str + "</html>";
my_text = uicontrol(z,"style","text","string",str,"units","pixels","position" , [50 0 750 410],"background" , [1 1 1],"tag","stub1" );	
xtitle('TRIPLE STUB MATCHING')
endfunction

function emtimgqwt1()
	z=scf(101)
z.background      = -2;
z.figure_position = [30 30];
z.figure_name     = gettext("QWT WITH SERIES SEGMENT");
z.axes_size= [800 550];	
str = "";
str = str + "<html>";
str = str + "<img src=""file:///"+SCI+"/contrib/EMTTOOL/images/qwt1.jpg"" />";
str = str + "</html>";
my_text = uicontrol(z,"style","text","string",str,"units","pixels","position" , [50 0 750 410],"background" , [1 1 1],"tag","stub1" );	
xtitle('QWT WITH SERIES SEGMENT')
endfunction

function emtimgqwt2()
	z=scf(101)
z.background      = -2;
z.figure_position = [30 30];
z.figure_name     = gettext("QWT WITH SHUNT STUB OF ADJUSTABLE LENGTH");
z.axes_size= [800 550];	
str = "";
str = str + "<html>";
str = str + "<img src=""file:///"+SCI+"/contrib/EMTTOOL/images/qwt3.jpg"" />";
str = str + "</html>";
my_text = uicontrol(z,"style","text","string",str,"units","pixels","position" , [50 0 750 410],"background" , [1 1 1],"tag","stub1" );	
xtitle('QWT WITH SHUNT STUB OF ADJUSTABLE LENGTH')
endfunction

function emtimgqwt3()
	z=scf(101)
z.background      = -2;
z.figure_position = [30 30];
z.figure_name     = gettext("QWT WITH 1/8-WAVELENGTH SHUNT STUB");
z.axes_size= [800 550];	
str = "";
str = str + "<html>";
str = str + "<img src=""file:///"+SCI+"/contrib/EMTTOOL/images/qwt2.jpg"" />";
str = str + "</html>";
my_text = uicontrol(z,"style","text","string",str,"units","pixels","position" , [50 0 750 450],"background" , [1 1 1],"tag","stub1" );	
xtitle('QWT WITH 1/8-WAVELENGTH SHUNT STUB')
endfunction