//help file added
function emtfield()
		//prop_gui
mode(-1);
disp('Loading emtfield');
g=scf(112);
	// Remove Scilab graphics menus & toolbar
	
//drawlater()
defaultfont        = "arial"; // Default Font

global xyzc xyz
xyzc=[2 0 4 5*10^-9;-3 0 5 -2*10^-9];;
xyz=[];
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [0 0];
g.figure_name     = gettext("emtfield_gui");
g.axes_size= [1000 600];	
	// New menu
	
h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(112);delete(g);","tag", "close_menu");
xinfo('PR');

//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [15 150 315 320]);

//frame 1

f=uicontrol(i,'relief','groove','style','frame','position', [15 200 275 80],"BackgroundColor",[0.75 1 1]);
uicontrol(i,'relief','groove','style','text','string',"Control Panel","horizontalalignment","center",'position', [15 280 275 20],"BackgroundColor",[0.715 0.75 0.25]);


uicontrol(f, 'relief','groove',"Position", [10 50 150 20],"Style", "text",'string','Evaluation Point',"BackgroundColor",[1 0.75 1],"HorizontalAlignment", "center");

uicontrol(f, 'relief','groove',"Position", [170 50 100 20],"Style", "edit",'string','[1 2 3]',"BackgroundColor",[1 0.75 1],"HorizontalAlignment", "center","Tag", "text4",'callback','edit_update1');
edit_update1;


uicontrol(f,'relief','groove','style','pushbutton','callback','addpoint','string','ADD POINT','position',[10 10 80 20],"BackgroundColor",[1 1 0.75]);

uicontrol(f,'relief','groove','style','pushbutton','callback','editpoint','string','EDIT POINTS','position',[100 10 80 20],"BackgroundColor",[1 1 0.75]);

uicontrol(f,'relief','groove','style','pushbutton','callback','drawfigure','string','GO','position',[190 10 80 20],"BackgroundColor",[1 1 0.75]);


//frame 2


h=uicontrol(i,'relief','groove','style','frame','position', [15 15 275 150],"BackgroundColor",[0.75 1 1]);
uicontrol(i,'relief','groove','style','text','string',"Output Panel","horizontalalignment","center",'position', [15 150 275 20],"BackgroundColor",[0.715 0.75 0.25]);


uicontrol(h,'relief','groove','style','text','string','E',"horizontalalignment","center",'position', [10 100 40 20],"BackgroundColor",[1 0.75 1]);
uicontrol(h, 'relief','groove',"Position", [60 100 180 20],"Style", "text","BackgroundColor",[1 0.75 1],"HorizontalAlignment", "center","Tag", "text41");

uicontrol(h,'relief','groove','style','text','string','ax',"horizontalalignment","center",'position', [10 70 40 20],"BackgroundColor",[1 0.75 1]);
uicontrol(h, 'relief','groove',"Position", [60 70 180 20],"Style", "text","BackgroundColor",[1 0.75 1],"HorizontalAlignment", "center","Tag", "text42");

uicontrol(h,'relief','groove','style','text','string','ay',"horizontalalignment","center",'position', [10 40 40 20],"BackgroundColor",[1 0.75 1]);
uicontrol(h, 'relief','groove',"Position", [60 40 180 20],"Style", "text","BackgroundColor",[1 0.75 1],"HorizontalAlignment", "center","Tag", "text43");

uicontrol(h,'relief','groove','style','text','string','az',"horizontalalignment","center",'position', [10 10 40 20],"BackgroundColor",[1 0.75 1]);
uicontrol(h, 'relief','groove',"Position", [60 10 180 20],"Style", "text","BackgroundColor",[1 0.75 1],"HorizontalAlignment", "center","Tag", "text44");

m = gca();
	m.title.text         = "ELECTRIC FIELD";
	m.title.font_size    = 4;
	m.axes_bounds        = [0,0,1,1];
newaxes();	

endfunction

//functions 
function drawfigure()
global xyzc xyz

[Em,E]=electric_field(xyzc,xyz);
txt = findobj("Tag", "text41");
set(txt, "String", string(Em));	
txt = findobj("Tag", "text42");
set(txt, "String", string(E(1)));
txt = findobj("Tag", "text43");
set(txt, "String", string(E(2)));
txt = findobj("Tag", "text44");
set(txt, "String", string(E(3)));
//set(gca(),"auto_clear","on");
figure
set(gcf(),'figure_position',[400 150]);
m = gca();
	m.title.text         = "ELECTRIC FIELD";
	m.title.font_size    = 4;
	m.axes_bounds        = [0,0,1,1];
drawlater();
set(gca(),"axes_bounds",[0.2,0,0.8,1]);
set(gca(),"grid",[1 1 1]);
set(gca(),"rotation_angles",[180,180]);
a=get("hdl");
a.surface_mode="off";
a.mark_style=14;
a.mark_size=0.5;
h1=gca();
h1.data_bounds=[-1,-1,-1; 15,15,15];
plot3d(xyzc(:,1),xyzc(:,2),xyzc(:,3));
set(gca(),"auto_clear","off")

xsegs([xyz(1) xyz(1)+3*E(1)],[xyz(2) xyz(2)+3*E(2)],[xyz(3) xyz(3)+3*E(3)],5)
e=gce();
e.arrow_size=10;
a=get("hdl");
a.mark_style=1;
a.mark_size=0.05;
plot3d([xyz(1) xyz(1)],[xyz(2) xyz(2)],[xyz(3) xyz(3)]);
a=get("hdl");
a.surface_mode="off";
a.mark_style=0;
a.mark_size=1;
drawnow();
//set(gca(),"auto_clear","on")

	
endfunction

function edit_update1()
global xyz
g1=findobj("Tag","text4");
xyz=evstr(g1.string);
endfunction

function addpoint()
txt = ['magnitude';'x';'y';'z'];
sig = x_mdialog('enter values',txt,['0';'0';'0';'0'])
global xyzc
mag = evstr(sig(1));
x = evstr(sig(2));
y = evstr(sig(3));	
z = evstr(sig(4));
if (x==0 & y==0 & z==0 & mag==0),
	 disp(xyzc);return;
	end
xyzc=cat(1,xyzc,[x y z mag]);
//disp(xyzc)
endfunction

function editpoint()
global xyzc
//disp(xyzc)
xyzc=evstr(x_matrix('edit required values x y z mag ',xyzc));
//r=evstr(x_dialog('row to delete','0'));
//l=size(xyzc,1)-1;
//xyzc(r:l,:)=xyzc(r+1:l+1,:);
//xyzc(l+1,:)=[];
//disp(xyzc)
endfunction

