function emtimts()
mode(-1);
disp('Loading Triple Stub Matching');
g=scf(104);
	// Remove Scilab graphics menus & toolbar
	
//drawlater()
defaultfont        = "arial"; // Default Font
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [50 50];
g.figure_name     = gettext("emtimts");
g.axes_size= [1100 500];	
	// New menu

global z0 ZL l1 l2 type1 e d123
d123=[];	
ZL=20+%i*3;
z0=100;
e=0.9;
l1=1/8;
l2=1/8;
type1=['s' 's' 's'];

h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(104);delete(g);","tag", "close_menu");
xinfo('PR');

//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [830 50 250 430]);

//frame 1

f=uicontrol(i,'relief','groove','style','frame','position', [15 180 210 230],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Control Panel","horizontalalignment","center",'position', [15 400 210 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(f,'relief','groove','style','text','string','Line Impedance ',"horizontalalignment","center",'position', [10 190 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 190 80 20],"Style", "edit",'string',string(z0),"BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "edit1","BackgroundColor",[0.9 0.9 1],'callback','edit_update1','FontSize',12);


uicontrol(f,'relief','groove','style','text','string','Load Impedance',"horizontalalignment","center",'position', [10 160 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 160 80 20],"Style", "edit",'string',string(ZL),"BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "edit2","BackgroundColor",[0.9 0.9 1],'callback','edit_update2','FontSize',12);

uicontrol(f,'relief','groove','style','text','string','l1',"horizontalalignment","center",'position', [10 130 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 130 80 20],"Style", "edit",'string','1/8',"BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "edit3","BackgroundColor",[0.9 0.9 1],'callback','edit_update3','FontSize',12);

uicontrol(f,'relief','groove','style','text','string','l2',"horizontalalignment","center",'position', [10 100 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 100 80 20],"Style", "edit",'string','1/8',"BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "edit4","BackgroundColor",[0.9 0.9 1],'callback','edit_update4','FontSize',12);

uicontrol(f,'relief','groove','style','text','string','Eccentricity',"horizontalalignment","center",'position', [10 70 100 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [120 70 80 20],"Style", "edit",'string',string(e),"BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "edit5","BackgroundColor",[0.9 0.9 1],'callback','edit_update5','FontSize',12);

uicontrol(f,'relief','groove','style','pushbutton','string','Modify Stub Type',"horizontalalignment","center",'position', [70 40 100 20],"BackgroundColor",[0.7 0.7 1],'callback','changetype');


uicontrol(f,'relief','groove','style','pushbutton','callback','find_stub3','string','GO','position',[120 10 80 20],"BackgroundColor",[0.7 0.7 1]);


//frame 2


h=uicontrol(i,'relief','groove','style','frame','position', [15 15 210 140],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Output Panel","horizontalalignment","center",'position', [15 150 210 20],"BackgroundColor",[0.5 0.5 0.5]);

uicontrol(h,'relief','groove','style','text','string','1.',"horizontalalignment","center",'position', [5 85 15 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h,'relief','groove','style','text','string','2.',"horizontalalignment","center",'position', [5 60 15 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h,'relief','groove','style','text','string','3.',"horizontalalignment","center",'position', [5 35 15 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h,'relief','groove','style','text','string','4.',"horizontalalignment","center",'position', [5 10 15 20],"BackgroundColor",[0.9 0.9 1]);

uicontrol(h,'relief','groove','style','text','string','d1',"horizontalalignment","center",'position', [30 110 55 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h, 'relief','groove',"Position", [30 85 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text1");
uicontrol(h, 'relief','groove',"Position", [30 60 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text2");
uicontrol(h, 'relief','groove',"Position", [30 35 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text3");
uicontrol(h, 'relief','groove',"Position", [30 10 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text4");

uicontrol(h,'relief','groove','style','text','string','d2',"horizontalalignment","center",'position', [90 110 55 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h, 'relief','groove',"Position", [90 85 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text5");
uicontrol(h, 'relief','groove',"Position", [90 60 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text6");
uicontrol(h, 'relief','groove',"Position", [90 35 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text7");
uicontrol(h, 'relief','groove',"Position", [90 10 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text8");

uicontrol(h,'relief','groove','style','text','string','d3',"horizontalalignment","center",'position', [150 110 55 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(h, 'relief','groove',"Position", [150 85 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text9");
uicontrol(h, 'relief','groove',"Position", [150 60 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text10");
uicontrol(h, 'relief','groove',"Position", [150 35 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text11");
uicontrol(h, 'relief','groove',"Position", [150 10 55 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "text12");

str = "";
str = str + "<html>";
str = str + "<img src=""file:///"+SCI+"/contrib/EMTTOOL/images/stub3.jpg"" />";
str = str + "</html>";
my_text = uicontrol("parent", g,"style","text","string",str,"units","pixels","position" , [50 0 750 410],"background" , [1 1 1],"tag","stub3" );

m = gca();
	m.title.text         = "TRIPLE STUB MATCHING";
	m.title.font_size    = 4;
endfunction

function edit_update1()
	global z0
	s4 = findobj("Tag", "edit1");
	z0=evstr(get(s4, "string"));
endfunction

function edit_update2()
	global ZL
	s4 = findobj("Tag", "edit2");
	ZL=evstr(get(s4, "string"));
endfunction

function edit_update3()
	global l1
s4 = findobj("Tag", "edit3");
l1=evstr(get(s4, "string"));
endfunction

function edit_update4()
	global l2
s4 = findobj("Tag", "edit4");
l2=evstr(get(s4, "string"));
endfunction

function edit_update5()
	global e
s4 = findobj("Tag", "edit5");
e=evstr(get(s4, "string"));
endfunction

function changetype()
	global type1
	txt=['stub1';'stub 2';'stub 3'];
sig = x_mdialog('enter type of stub (o/s)',txt,[type1(1);type1(2);type1(3)])
type1=[sig(1) sig(2) sig(3)];
endfunction

function find_stub3()
	//format(7);
	global z0 ZL l1 l2 type1 e d123
	zL=ZL/z0;
	d123=stub3(zL,l1,l2,type1,e);
	disp(d123,"d123=");
txt1 = findobj("Tag", "text1");
set(txt1, "String", string(d123(1,1)));
txt1 = findobj("Tag", "text2");
set(txt1, "String", string(d123(2,1)));
txt1 = findobj("Tag", "text3");
set(txt1, "String", string(d123(3,1)));
txt1 = findobj("Tag", "text4");
set(txt1, "String", string(d123(4,1)));	
txt1 = findobj("Tag", "text5");
set(txt1, "String", string(d123(1,2)));
txt1 = findobj("Tag", "text6");
set(txt1, "String", string(d123(2,2)));
txt1 = findobj("Tag", "text7");
set(txt1, "String", string(d123(3,2)));
txt1 = findobj("Tag", "text8");
set(txt1, "String", string(d123(4,2)));	
txt1 = findobj("Tag", "text9");
set(txt1, "String", string(d123(1,3)));
txt1 = findobj("Tag", "text10");
set(txt1, "String", string(d123(2,3)));
txt1 = findobj("Tag", "text11");
set(txt1, "String", string(d123(3,3)));
txt1 = findobj("Tag", "text12");
set(txt1, "String", string(d123(4,3)));	
endfunction	