//help file added
function emtmath()
mode(-1);
disp('Loading Toolbox for Analysis');
g=scf(1024);

drawlater()
	// Remove Scilab graphics menus & toolbar
defaultfont        = "arial"; // Default Font
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [20 20];
g.figure_name     = gettext("TOOLBOX FOR MATHEMATICAL CONCEPTS ANALYSIS");
g.axes_size= [600 500];	
	// New menu
	
h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(1024);delete(g);","tag", "close_menu");

//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [15 15 570 475]);

//frame 1

f=uicontrol(i,'relief','groove','style','frame','position', [15 390 535 70],"BackgroundColor",[0.5 0.5 0.5]);

uicontrol(f,'relief','groove','style','text','string','MATHEMATICAL CONCEPTS','fontsize',20,"horizontalalignment","center",'position', [10 10 510 50],"BackgroundColor",[1 1 1]);


//frame 2
g=uicontrol(i,'relief','groove','style','frame','position', [15 25 535 355],"BackgroundColor",[0.4 0.5 0.5]);

uicontrol(g,'style','text','string','Select an option:','fontsize',12,"horizontalalignment","left",'position', [10 295 510 50],"BackgroundColor",[0.4 0.5 0.5]);

uicontrol(g,'style','pushbutton','string','COORDINATE TRANSFORMATIONS','fontsize',16,"horizontalalignment","center",'position', [100 250 350 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtctrans');

uicontrol(g,'style','pushbutton','string','GRADIENT','fontsize',16,"horizontalalignment","center",'position', [100 190 350 50],"BackgroundColor",[0.9 0.9 1],"Tag", "toolbox1","callback",'emtgrad');

uicontrol(g,'relief','groove','style','pushbutton','string','DIVERGENCE','fontsize',16,"horizontalalignment","center",'position', [100 130 350 50],"BackgroundColor",[0.9 0.9 1],"callback",'emtdiv');

uicontrol(g,'relief','groove','style','pushbutton','string','CURL','fontsize',16,"horizontalalignment","center",'position', [100 70 350 50],"BackgroundColor",[0.9 0.9 1],"callback",'emtcurl');

uicontrol(g,'relief','groove','style','pushbutton','string','RETURN TO PREVIOUS MENU','fontsize',16,"horizontalalignment","center",'position', [10 10 510 40],"BackgroundColor",[0.9 0.9 1],"callback","g=get_figure_handle(1024);delete(g);emtanalysis;");

newaxes();	
m = gca();
	m.title.text         = "TOOLBOX FOR MATHEMATICAL CONCEPTS";
	m.title.font_size    = 4;
	m.axes_bounds        = [0,0,1,1];
	
endfunction
