function emtsmith()
	//array_gui
mode(-1);
disp('Loading smith gui');
g=scf(121);
	// Remove Scilab graphics menus & toolbar
//plotlater()
defaultfont        = "arial"; // Default Font
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [10 10];
g.figure_name     = gettext("SMITH ROUTINES");
g.axes_size= [400 550];	
	// New menu
	
h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(121);delete(g);","tag", "close_menu");
xinfo('PR');


j=uicontrol(g,'relief','groove','style','frame',"BackgroundColor",[0.9 0.9 1],'position', [25 50 350 400])
uicontrol(j,'style','text','string','STEP I:',"horizontalalignment","left",'position', [5 370 325 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','Use smith(Zo) to plot smith chart, or',"horizontalalignment","left",'position', [5 350 325 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','Use sadmit(Zo) to plot admittance chart,or ',"horizontalalignment","left",'position', [5 330 325 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','Use scomb(Zo) to plot combined smith chart.',"horizontalalignment","left",'position', [5 310 325 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','STEP II:',"horizontalalignment","left",'position', [5 280 325 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','Use smcirc(VSWR) to add vswr circles to the plot',"horizontalalignment","left",'position', [5 260 325 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','Use smdrawc(Z)(sadrawc) to mark impedances',"horizontalalignment","left",'position', [5 240 325 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','Use smithcir(c,r,gMAX) to plot circles given centre and radius ',"horizontalalignment","left",'position', [5 220 325 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','EXAMPLE: ./examples/smith123.sce ',"horizontalalignment","left",'position', [5 190 325 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','SOURCE AND LOAD STABILITY CIRCLES ',"horizontalalignment","left",'position', [5 170 325 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);



m = gca();
	m.title.text         = "SMITH ROUTINES";
	m.title.font_size    = 4;

endfunction