//help file added
function emttool()
mode(-1);
disp('Loading EMTTOOL GUI');
g=scf(1000);
drawlater()
	// Remove Scilab graphics menus & toolbar
defaultfont        = "arial"; // Default Font
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [0 0];
g.figure_name     = gettext("EMTTOOL");
g.axes_size= [600 500];	
	// New menu
	
h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(1000);delete(g);","tag", "close_menu");

//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [15 15 570 475]);

//frame 1

f=uicontrol(i,'relief','groove','style','frame','position', [15 330 535 130],"BackgroundColor",[0.5 0.5 0.5]);

uicontrol(f,'relief','groove','style','text','string','EMTTOOL','fontsize',36,"horizontalalignment","center",'position', [10 75 510 50],"BackgroundColor",[1 1 1]);

uicontrol(f,'relief','groove','style','text','string','EMT TOOLBOX FOR SCILAB','fontsize',18,"horizontalalignment","center",'position', [10 15 510 50],"BackgroundColor",[1 1 1]);

//frame 2
g=uicontrol(i,'relief','groove','style','frame','position', [15 25 535 300],"BackgroundColor",[0.4 0.5 0.5]);

uicontrol(g,'style','text','string','Select an option:','fontsize',12,"horizontalalignment","left",'position', [10 240 510 50],"BackgroundColor",[0.4 0.5 0.5]);

uicontrol(g,'relief','groove','style','pushbutton','string','TOOLBOX FOR DESIGN AND ANALYSIS','fontsize',16,"horizontalalignment","center",'position', [10 190 510 50],"BackgroundColor",[0.9 0.9 1],"callback","g=get_figure_handle(1000);delete(g);emtanalysis");

uicontrol(g,'relief','groove','style','pushbutton','string','BROWSE SAMPLE IMAGES','fontsize',16,"horizontalalignment","center",'position', [10 130 510 50],"BackgroundColor",[0.9 0.9 1],"callback","emtdemo");

uicontrol(g,'relief','groove','style','pushbutton','string','BROWSE HELP FILES','fontsize',16,"horizontalalignment","center",'position', [10 70 510 50],"BackgroundColor",[0.9 0.9 1],"callback","help emttool");

uicontrol(g,'relief','groove','style','pushbutton','string','QUIT','fontsize',16,"horizontalalignment","center",'position', [10 10 510 50],"BackgroundColor",[0.9 0.9 1],"callback","g=get_figure_handle(1000);delete(g);");


newaxes();	
m = gca();
	m.title.text         = "EMTTOOL";
	m.title.font_size    = 4;
	m.axes_bounds        = [0,0,1,1];
	
endfunction
