function emtwgan()

mode(-1);
disp('Loading wg_gui');
g=scf(141);
	// Remove Scilab graphics menus & toolbar
//drawlater()
defaultfont        = "arial"; // Default Font
global mode12 m n a b eden hden plot123;
	
delmenu(g.figure_id, gettext("&File"));
delmenu(g.figure_id, gettext("&Tools"));
delmenu(g.figure_id, gettext("&Edit"));
delmenu(g.figure_id, gettext("&?"));
toolbar(g.figure_id, "off");
	
g.background      = -2;
g.figure_position = [10 10];
g.figure_name     = gettext("wg_test_gui");
g.axes_size= [1200 650];	
	// New menu
	
h = uimenu( "parent", g,"label" , gettext("File"));
uimenu( "parent", h,"label", gettext("Close"),"callback","g=get_figure_handle(141);delete(g);","tag", "close_menu");
xinfo('PR');
//main frame 1
i=uicontrol(g,'relief','groove','style','frame','position', [15 200 315 400]);

//frame 1
f=uicontrol(i,'relief','groove','style','frame','position', [15 100 275 270],"BackgroundColor",[0.5 0.5 0.5]);
uicontrol(i,'relief','groove','style','text','string',"Control Panel","horizontalalignment","center",'position', [15 370 275 20],"BackgroundColor",[0.9 0.9 1]);

//slider1


uicontrol(f,'style','popupmenu','position', [130 240 80 20],'callback','mode_select','tag','mode123','string', "TE|TM",'value',1,"BackgroundColor",[0.7 0.7 1]);
uicontrol(f,'relief','groove',"style","text",'string','Select mode',"horizontalalignment","center","position", [ 10 240 100 20 ],"BackgroundColor",[0.9 0.9 1]);
mode_select();

uicontrol(f,'relief','groove',"style","slider","Min", 5,"Max", 20,"Value",10,"SliderStep",[1 2],"units", "pixels","position", [ 70 210 100 20 ],"callback","slider_update1","Tag", "view_slider1");
uicontrol(f,'relief','groove','style','text','string','a/b',"horizontalalignment","center",'position', [10 210 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [180 210 80 20],"Style", "edit","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "slider_text1",'callback','edit_update1');
slider_update1();

uicontrol(f,'relief','groove',"style","slider","Min", 0,"Max", 10,"Value", 1,"SliderStep",[1 2],"units", "pixels","position", [ 70 180 100 20 ],"callback","slider_update2","Tag", "view_slider2");
uicontrol(f,'relief','groove','style','text','string','m',"horizontalalignment","center",'position', [10 180 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [180 180 80 20],"Style", "edit","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "slider_text2",'callback','edit_update2');
slider_update2();

uicontrol(f,'relief','groove',"style","slider","Min", 0,"Max", 10,"Value", 1,"SliderStep",[1 2],"units", "pixels","position", [ 70 150 100 20 ],"callback","slider_update3","Tag", "view_slider3");
uicontrol(f,'relief','groove','style','text','string','n',"horizontalalignment","center",'position', [10 150 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [180 150 80 20],"Style", "edit","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "slider_text3",'callback','edit_update3');
slider_update3();

uicontrol(f,'relief','groove',"style","slider","Min", 0,"Max", 50,"Value", 20,"SliderStep",[5 10],"units", "pixels","position", [ 70 120 100 20 ],"callback","slider_update4","Tag", "view_slider4");
uicontrol(f,'relief','groove','style','text','string','eden',"horizontalalignment","center",'position', [10 120 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f,'relief','groove', "Position", [180 120 80 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "slider_text4");
slider_update4();

uicontrol(f,'relief','groove',"style","slider","Min", 0,"Max", 50,"Value", 20,"SliderStep",[5 10],"units", "pixels","position", [ 70 90 100 20 ],"callback","slider_update5","Tag", "view_slider5");
uicontrol(f,'relief','groove','style','text','string','hden',"horizontalalignment","center",'position', [10 90 50 20],"BackgroundColor",[0.9 0.9 1]);
uicontrol(f, 'relief','groove',"Position", [180 90 80 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "slider_text5");
slider_update5();

uicontrol(f,'style','checkbox','position', [10 60 140 20],'callback','pmode1','tag','plotmode1','string', "E field vector ",'value',1,"BackgroundColor",[0.9 0.9 1]);
pmode1();

uicontrol(f,'style','checkbox','position', [10 40 140 20],'callback','pmode2','tag','plotmode2','string', "H field vector ",'value',1,"BackgroundColor",[0.9 0.9 1]);
pmode2();

uicontrol(f,'style','checkbox','position', [10 20 140 20],'callback','pmode3','tag','plotmode3','string', "field contour ",'value',1,"BackgroundColor",[0.9 0.9 1]);
pmode3();

uicontrol(f,'relief','groove','style','pushbutton','callback',"drawfigure;",'string','GO','position',[180 10 80 20],"BackgroundColor",[0.7 0.7 1]);

//frame 3
//h=uicontrol(i,'relief','groove','style','frame','position', [15 20 275 55],"BackgroundColor",[0.5 0.5 0.5]);
//uicontrol(i,'relief','groove','style','text','string',"Output Panel","horizontalalignment","center",'position', [15 70 275 20],"BackgroundColor",[0.9 0.9 1]);

//uicontrol(h,'relief','groove','style','text','string','fc',"horizontalalignment","center",'position', [10 20 100 20],"BackgroundColor",[0.9 0.9 1]);
//uicontrol(h, 'relief','groove',"Position", [115 20 100 20],"Style", "text","BackgroundColor",[0.9 0.9 1],"HorizontalAlignment", "center","Tag", "slider_text6");
//uicontrol(h,'relief','groove','style','text','string','GHz',"horizontalalignment","center",'position', [220 20 50 20],"BackgroundColor",[0.9 0.9 1]);

j=uicontrol(g,'relief','groove','style','frame',"BackgroundColor",[0.9 0.9 1],'position', [15 15 315 135])
uicontrol(j,'style','text','string','Obtain field patterns in a waveguide',"horizontalalignment","center",'position', [5 110 305 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','Parameters: a/b length to width ratio',"horizontalalignment","left",'position', [5 90 305 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','m,n waveguide mode number,',"horizontalalignment","left",'position', [80 70 230 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);
uicontrol(j,'style','text','string','eden,hden-point density in plot',"horizontalalignment","left",'position', [80 50 230 15],"BackgroundColor",[0.9 0.9 1],'FontSize',11);

m1 = gca();
	m1.title.text         = "WAVEGUIDE FIELD DISTRIBUTION";
	m1.title.font_size    = 4;

newaxes();	
endfunction

//functions for array_gui
function drawfigure()
global mode12 m n a b eden hden plot123;
figure;
set(gcf(),'figure_position',[400 90]);
set(gcf(),'figure_name',gettext("WAVEGUIDE FIELD DISTRIBUTION"));
if mode12==1 then
wgte(a,b,m,n,plot123,eden,hden);
else
wgtm(a,b,m,n,plot123,eden,hden);
end
endfunction

function slider_update1()
sl = findobj("Tag", "view_slider1");
txt = findobj("Tag", "slider_text1");
global a b;
b=1;
a=get(sl, "Value")*b/10;
set(txt, "String", string(get(sl, "Value")/10));
endfunction

function slider_update2()
s1 = findobj("Tag", "view_slider2");
txt = findobj("Tag", "slider_text2");
global m;
m=get(s1, "Value");
set(txt, "String",string(m));
endfunction

function slider_update3()
s1 = findobj("Tag", "view_slider3");
txt = findobj("Tag", "slider_text3");
global n;
n=get(s1, "Value");
set(txt, "String", string(n));
endfunction

function slider_update4()
s1 = findobj("Tag", "view_slider4");
txt = findobj("Tag", "slider_text4");
global eden;
eden=get(s1, "Value");
set(txt, "String", string(eden));
endfunction

function slider_update5()
s1 = findobj("Tag", "view_slider5");
txt = findobj("Tag", "slider_text5");
global hden;
hden=get(s1, "Value");
set(txt, "String", string(hden));
endfunction

function edit_update1()
s1 = findobj("Tag", "view_slider1");
txt = findobj("Tag", "slider_text1");
global a b;
b=1;
a=evstr(get(txt, "string"))*b;
set(s1, "value",evstr(get(txt, "string"))*10);
endfunction

function edit_update2()
global m
txt = findobj("Tag", "slider_text2");
m=evstr(get(txt, "string"));
s1 = findobj("Tag", "view_slider2");
set(s1, "Value", m);
endfunction

function edit_update3()
global n
txt = findobj("Tag", "slider_text3");
n=evstr(get(txt, "string"));
s1 = findobj("Tag", "view_slider3");
set(s1, "Value", n);
endfunction

function mode_select()
    global mode12
  txt = findobj("Tag", "mode123");
  mode12=get(txt, "value"); 
endfunction

function pmode1()
global plot123
  txt = findobj("Tag", "plotmode1");
  plot123(1)=get(txt, "value"); 
endfunction

function pmode2()
global plot123
  txt = findobj("Tag", "plotmode2");
  plot123(2)=get(txt, "value"); 
endfunction

function pmode3()
global plot123
  txt = findobj("Tag", "plotmode3");
  plot123(3)=get(txt, "value"); 
endfunction