//help file added
// microstrip synthesis (calculates w/h from Z)
function u = mstrips(er,Z)
if argn(2)==0, help mstrips; return; end
eta = etac(1);
A = %pi*sqrt(2*(er+1)) * Z/eta + (er-1)/(er+1) * (0.23 + 0.11/er);
B = %pi*eta./(2*Z*sqrt(er));
u1 = 4./(exp(A)/2 - exp(-A));
u2 = (er-1)/(%pi*er) * (log(B-1) + 0.39 - 0.61/er) + 2/%pi * (B - 1 - log(2*B-1));
u = u1.*(u1<=2) + u2.*(u2>2);
endfunction