function [Z1,d] = qwt3(ZL,Z0,Z2,type1)
if argn(2)==0, help qwt3; return; end
if argn(2)==3, type1='s'; end
GL = real(1/ZL);
BL = imag(1/ZL);
if type1=='s',
    d = acot(BL*Z2)/(2*%pi);
else
    d = atan(-BL*Z2)/(2*%pi);
end
d = pmodulo(d,0.5);
Z1 = sqrt(Z0/GL);
endfunction
