function smithcir(c,r,maxG)
if argn(2)==0, help smithcir; return; end
if argn(2)==2, maxG = r+abs(c); end
phi = linspace(0, 2*%pi, 1800);        
z = exp(%i*phi);
for j=1:length(c),
    gamma = c(j)*ones(1,length(z)) + r(j)*z;              // points around i-th circle
    k = find(abs(gamma)<=maxG(j));     // find subset of gamma's to plot
    gamma = gamma(k);                   
    plot(real(gamma),imag(gamma),'r-');// plot portion of circle with |gamma| <= maxG
end
endfunction