//HELP FILE ADDED
function [K,mu,D,B1,B2,C1,C2,D1,D2] = sparam(S)
if argn(2)==0, help sparam; return; end
D = det(S);
mu = (1-abs(S(1,1))^2)/(abs(S(2,2)-D*conj(S(1,1))) + abs(S(1,2)*S(2,1)));
B1 = 1 + abs(S(1,1))^2 - abs(S(2,2))^2 - abs(D)^2;
B2 = 1 + abs(S(2,2))^2 - abs(S(1,1))^2 - abs(D)^2;
if abs(S(1,2)*S(2,1))==0,
    K = %inf;
else
    K = (1-abs(S(1,1))^2 - abs(S(2,2))^2 + abs(D)^2)/abs(2*S(1,2)*S(2,1));
end
C1 = S(1,1) - D * conj(S(2,2));
C2 = S(2,2) - D * conj(S(1,1));
D1 = abs(S(1,1))^2 - abs(D)^2;
D2 = abs(S(2,2))^2 - abs(D)^2;
D = abs(D);
endfunction
