function dl = stub1(ZL,ZO,type1)
if argn(2)==0, help stub1; return; end
if argn(2)==1, ZO=1; type1='ps'; end
if argn(2)==2, type1='ps'; end
GL = z2g(ZL,ZO);   //reflection coefficient at load
thL =atan(imag(GL),real(GL));
select type1,
    case 'ps' then
        bl = thL/2 + [1;-1]*acos(-abs(GL))/2;
        bd = atan(-tan(2*bl-thL)/2);
    case 'po' then
        bl = thL/2 + [1;-1]*acos(-abs(GL))/2;
        bd = acot(tan(2*bl-thL)/2);
    case 'ss' then
        bl = thL/2 + [1;-1]*acos(abs(GL))/2;
        bd = acot(tan(2*bl-thL)/2);
    case 'so' then
        bl = thL/2 + [1;-1]*acos(abs(GL))/2;
        bd = atan(-tan(2*bl-thL)/2);
    else
        disp('unknown type'); 
        return
end
l(:) = pmodulo(bl/2/%pi,0.5);
d(:) = pmodulo(bd/2/%pi,0.5);
dl=[d l];
endfunction
