function d12 = stub2(zL,l,type1)
if argn(2)==0, help stub2; return; end
if argn(2)==1, l = 1/8; type1=['s' 's']; end
if argn(2)==2, type1=['s' 's']; end
yL = 1/zL; 
gL = real(yL); 
bL = imag(yL); // normalized uuload admittance and susceptance
m = (type1=='o');                    // selects open stubs    
c = cotg(2*%pi*l);
gmax = 1 + c^2;
lmax = asin(1/sqrt(gL)) / (2*%pi);
if gL > gmax, 
    disp( gmax,'gmax=','gL  must be less than gmax  ', gL,'gL=');
    disp('(lambda)',lmax,'stub separation must be less than lmax =');
	d12=[];
    return;
end
b1 = c + [1; -1]*sqrt(gL*(gmax-gL));     // get two solutions
d2 = pmodulo(acot(bL-b1) / (2*%pi) + m(2)/4,0.5);
d1 = pmodulo(acot((c-b1-gL*c)/gL) / (2*%pi) + m(1)/4,0.5);
d12=[d1 d2];
endfunction