//working to add help file
function [g, th, c, th0] = traveling(L, Nth)
if argn(2)==0, help traveling; return; end
th = (0:Nth)*%pi/Nth;
g = (sin(th) .* sinc(L*(1 - cos(th)))).^2;
c = 1 / max(g);
g = c*g;
th0 = acos(1 - 0.371/L) * 180 / %pi;         // tilt angle in degrees
endfunction
