//HELP FILE ADDED
function [g, th, c, th0] = vee(L, alpha, Nth)
if argn(2)==0, help vee; return; end
th = (0 : Nth) * %pi / Nth;
alpha = alpha * %pi / 180;
th1 = th - alpha;
th2 = th + alpha;
F1 = sin(th1) .* (1 - exp(-%i*2*%pi*L*(1-cos(th1)))) ./ (1 - cos(th1)+%eps);
F2 = sin(th2) .* (1 - exp(-%i*2*%pi*L*(1-cos(th2)))) ./ (1 - cos(th2)+%eps);
g = abs(F1 - F2).^2;
c = 1 / max(g);
g = c * g;
th0 = acos(1 - 0.371/L) * 180 / %pi;
endfunction
