function wgtm(a,b,m,n,ptype,eden,hden)
    if argn(2)<7 then hden=20; end
    if argn(2)<6 then eden=20; end
    if argn(2)<5 then ptype=[1 1 1]; end
    if argn(2)<4 then n=1; end
    if argn(2)<3 then m=1; end
    if argn(2)<2 then b=1; end
    if argn(2)==0 then a=1; end
x=0:0.01:a;
y=0:0.01:b;
h2=(m*%pi/a)^2+(n*%pi/b)^2;
ex=-(m*%pi/a)*cos(m*%pi*x'/a)*sin(n*%pi*y/b)/h2;
ey=-(n*%pi/b)*sin(m*%pi*x'/a)*cos(n*%pi*y/b)/h2;
ez=sin(m*%pi*x'/a)*sin(n*%pi*y/b);
et=sqrt(ex.^2+ey.^2);
hx=-ey;
hy=ex;
hz=0;
set(gca(),'auto_clear','off');
set(gca(),'box','on')
drawlater();
if ptype(1)==1 then
for i=1:round(length(x)/eden):length(x)-1
    for j=1:round(length(y)/eden):length(y)-1
       xsegs([x(i) x(i)+ex(i,j)],[y(j) y(j)+ey(i,j)],[0 ez(i,j)],10) 
       e=gce();
    e.arrow_size=0.3;
    end
end
end
if ptype(2)==1 then
for i=1:round(length(x)/hden):length(x)-1
    for j=1:round(length(y)/hden):length(y)-1
       xsegs([x(i) x(i)+hx(i,j)],[y(j) y(j)+hy(i,j)],5) 
       e=gce();
    e.arrow_size=0.3;
    end
end
end
if ptype(3)==1 then
contour(x,y,et,20);
xset("fpf"," ")
end
drawnow();
xtitle('H field-red; E field-blue')
endfunction